﻿--------------------------------------------------------------------------
-- localization.lua 
--------------------------------------------------------------------------
if (GetLocale() == "zhCN") then
	BINDING_HEADER_FLUIDFRAMES				= "FluidFrames";
	BINDING_NAME_HIGHLIGHTMOUSEFRAME			= "高亮鼠标位置框体";
	BINDING_NAME_HIGHLIGHTALLMOUSEFRAMES		= "高亮鼠标位置所有框体";

	if (not SHOW) then
		SHOW = "显示";
	end

	local frame = LIGHTYELLOW_FONT_COLOR_CODE.."%s"..FONT_COLOR_CODE_CLOSE

	FLUIDFRAMES_CANT_FIND_STORED = "无法找到 "..frame.." 确定他的存放地点."
	FLUIDFRAMES_CANT_MOVE_IN_COMBAT = "Can't Move "..frame.." in combat."
	FLUIDFRAMES_DELAYING_EXCEPTION_FRAME = "Delaying init of exception frame "..frame.."."
	FLUIDFRAMES_CANT_RESIZE_IN_COMBAT = frame.." 不能在战斗中调整大小或移动."
	FLUIDFRAMES_CANT_RESCALE_IN_COMBAT = frame.." 不能在战斗中重置."
	FLUIDFRAMES_CANT_MOVE_IN_COMBAT = frame.." 不能在战斗中移动."
	FLUIDFRAMES_START_RESIZE = "开始调整大小 "..frame.."."
	FLUIDFRAMES_STOP_RESIZE = "停止调整大小 "..frame.."."
	FLUIDFRAMES_NO_MOVABLE_FRAMES = "在当前鼠标位置下没有可移动框体."
	FLUIDFRAMES_HIGHLIGHT = "高亮: "..frame.."框体, 属于: "..frame
	FLUIDFRAMES_CANT_IMMOBILIZE_NOT_UIPARENT = "无法固定 "..frame..". 无法定位于UIParent."
	FLUIDFRAMES_CANT_IMMOBILIZE_NO_DEFAULT = "无法固定 "..frame..". 默认位置没有保存."
	FLUIDFRAMES_CANT_IMMOBILIZE_UNNAMED = "无法固定未知框体."
	FLUIDFRAMES_UNNAMED_ANCHOR = frame.." 在登出后也许重置不正确, 因为他定位于一个未知的框体. 如果你想要在以后重置它可能需要 \"/console reloadui\"."
	FLUIDFRAMES_CANT_RESET_UNNAMED = "无法重置未知框体."
	FLUIDFRAMES_CANT_RESET_NO_DEFAULT = "无法重置 "..frame..". 默认位置没有保存. \"/console reloadui\" 可能重置它."
	FLUIDFRAMES_CANT_RESET_NOT_FOUND = "无法重置 "..frame..". 框体未找到."
	FLUIDFRAMES_RESET = "框体重置: "..frame
	FLUIDFRAMES_NIL = "(nil)"
	FLUIDFRAMES_REPARENTING = "Reparenting "..frame.." from "..frame.." to "..frame.."."
	FLUIDFRAMES_REPARENTING_SIBLING = "Reparenting sibling "..frame.." from "..frame.." to "..frame.."."
	FLUIDFRAMES_CANT_HIDE = "无法隐藏 "..frame..", 数据未储存."

	FLUIDFRAMES_HEADER = "FluidFrames"
	FLUIDFRAMES_DESC = "移动,调整,缩放!"
	FLUIDFRAMES_DESC_FULL = "能随心所欲的移动,调整,缩放框体."


	FLUIDFRAMES_HEADER_WITH_VERSION = "FluidFrames v%.2f"


	FLUIDFRAMES_HELP = "|cffFFD100使用手册|r\n"..
		"\n"..
		"说明: \n\n拖动某些动作条需要拖动第一个按钮来移动.\n"..
		"- 首先点击下方的\"按键绑定\"按钮进行快捷键的绑定,然后选择需要的框体,点击快捷键.此时会高亮这个框体,接下来就可以进行移动到你所想要的位置:\n"..
		"|cffFFD100----|r 按键 #1: 点击高亮显示当前鼠标下的框体 \n"..
		"|cffFFD100----|r 按键 #2: 点击高亮显示当前鼠标下的所有框体,包括无名称的框体\n"..
		--"---- (按住shift往回倒)\n"..
		"|cffFFD100-|r 鼠标重置右击高亮框体(包括被移动/被调整大小/被缩放)\n"..
		"|cffFFD100-|r 按住shift鼠标拖动高亮的边框或者边角调整尺寸\n"..
		"|cffFFD100-|r 按住shift鼠标拖动右下角缩放图标(小三角)来调整大小.\n\n"..
		"|cffFFD100访问 http://bbs.wowshell.com 获取更多使用方法|r"

	FLUIDFRAMES_BANDING_TEXT = "按键绑定"
	FLUIDFRAMES_RESET_ALL = "重置所有"

	FLUIDFRAMES_RESHOW_HELP = "Disable permenent hiding of %s"
	FLUIDFRAMES_RESHOW_FEEDBACK = "%s has been re-shown."
	FLUIDFRAMES_RESHOW = "Re-Show"
	FLUIDFRAMES_RESET_HEADER = "Reset Modified Frames";

	FLUIDFRAMES_RESET_ALL_FRAMES = "重置所有框体."
	FLUIDFRAMES_RESET_ALL_FINISHED = "所有框体已经重置."
	FLUIDFRAMES_RESET_HELP = "Re-show and reset the location of %s"
	FLUIDFRAMES_RESET_FEEDBACK = "%s has been reset."

	--Slash commands
	SLASH_FLUIDFRAMESSLASH1 = "/resetframes"
end