local buff;

for i = 1, 10 do
	buff = CreateFrame("Button", "PetFrameBuff"..i, PetFrame, "TargetBuffButtonTemplate")
	buff:SetID(i)
	buff:SetWidth(15)
	buff:SetHeight(15)	
	buff:SetScript("OnEnter",function()
		GameTooltip:SetOwner(this, "ANCHOR_RIGHT")
		GameTooltip:SetUnitBuff("pet", this:GetID())
	end)

	buff:SetScript("OnUpdate",function()
		

	end)

	buff:SetScript("OnLeave",function()
		GameTooltip:Hide()
	end)

	if i == 1 then
		buff:SetPoint("TOPLEFT", PetFrame, "TOPLEFT", 48, -42)
	else
		buff:SetPoint("LEFT", "PetFrameBuff"..i-1, "RIGHT", 2, 0)
	end
	buff = CreateFrame("Button", "PetFrameDebuff"..i, PetFrame, "PartyPetBuffButtonTemplate")
end


function PartyMemberBuffTooltip_Update(isPet)
end

local ORG_RefreshBuffs = RefreshBuffs
function RefreshBuffs(button, showBuffs, unit)
	local tmp = MAX_PARTY_DEBUFFS
	if unit == "pet" then
		return PetFrame_RefreshBuffs()
	end
	ORG_RefreshBuffs(button, showBuffs, unit)
	MAX_PARTY_DEBUFFS = tmp
end

function PetFrame_RefreshBuffs()
	for i = 1, 10 do
		_, _, buff = UnitBuff("pet", i)
		if buff then
			getglobal("PetFrameBuff"..i.."Icon"):SetTexture(buff)
			getglobal("PetFrameBuff"..i):Show()
		else
			getglobal("PetFrameBuff"..i):Hide()
		end
	end
	for i = 1, 10 do
		getglobal("PetFrameDebuff"..i):ClearAllPoints()
		getglobal("PetFrameDebuff"..i):SetPoint("TOP", "PetFrameBuff"..i, "BOTTOM", 0, -2)
		_, _, buff = UnitDebuff("pet", i)
		if buff then
			getglobal("PetFrameDebuff"..i.."Icon"):SetTexture(buff)
			getglobal("PetFrameDebuff"..i):Show()
		else
			getglobal("PetFrameDebuff"..i):Hide()
		end
	end
end