UIPanelWindows["wsTargetInfConfigFrame"] = { area = "left",	pushable = 1 };

WS_TargetInf={};

local default_TargetInf={
--					ShowHighLevel = "1",
					ShowMobHP = "1",
					ShowMobHPPercent = "0",
					ShowMobHPBoth = "0",
					MoreHPColor = "1",
					TextureAlarm = "1",
					MobHPAlpha = 70,
					TargetClass = "1",
					ToToT = "1";
					TOT_Alert_Toggle = false
				};

function wsTargetInfConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsTargetInfConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if(wsGetWSVar("TargetInf")) then
			WS_TargetInf=wsGetWSVar("TargetInf");
		else
			WS_TargetInf=default_TargetInf;
		end

		if(not WS_TargetInf.ToToT) then
			WS_TargetInf.ToToT = default_TargetInf.ToToT;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"UserIn",
		wsGetLocaleVariable("WS_TARGETINF_TITLE"),
		wsGetLocaleVariable("WS_TARGETINF_DESCRIPTION"),
		wsGetLocaleVariable("WS_TARGETINF_TOOLTIP"),
		"Interface\\Icons\\Ability_Hunter_SniperShot",
		function()
			ShowUIPanel(wsTargetInfConfigFrame);
		end
	);

--		wsToggleShowHighLevel(WS_TargetInf.ShowHighLevel);
		wsToggleShowMobHP(WS_TargetInf.ShowMobHP,WS_TargetInf.ShowMobHPPercent,WS_TargetInf.ShowMobHPBoth);
		wsToggleHPColor(WS_TargetInf.MoreHPColor);
		wsToggleTextureAlarm(WS_TargetInf.TextureAlarm);
		wsToggleTargetClass(WS_TargetInf.TargetClass);

		TargetHPButton:SetAlpha(WS_TargetInf.MobHPAlpha/100);
	end
end

function wsTargetInfConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_TARGETINF_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_TARGETINF_SHOW_MOB_HP"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_TARGETINF_SHOW_MOB_HPPERCENT"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_TARGETINF_SHOW_MOB_HPANDPER"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_TARGETINF_MORE_HPCOLOR"));

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	checkButton5:Show();
	local checkButton5Text = getglobal(this:GetName().."CheckButton5Text");
	checkButton5Text:SetText(wsGetLocaleVariable("WS_TARGETINF_TEXTUREALARM"));

	--目标职业= > OT警报
	local checkButton6 = getglobal(this:GetName().."CheckButton6");
	checkButton6:Show();
	local checkButton6Text = getglobal(this:GetName().."CheckButton6Text");
	checkButton6Text:SetText(wsGetLocaleVariable("WS_TARGETINF_TOT"));

	local checkButton7 = getglobal(this:GetName().."CheckButton7");
	checkButton7:Show();
	local checkButton7Text = getglobal(this:GetName().."CheckButton7Text");
	checkButton7Text:SetText(wsGetLocaleVariable("WS_TARGETINF_SHOWTARGETX3"));

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_TARGETINF_MOB_HP_ALPHA"));

	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(0, 100)
	slider1:SetValueStep(10);
	slider1:SetValue(WS_TargetInf.MobHPAlpha);
	----

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	local checkButton6 = getglobal(this:GetName().."CheckButton6");

	if (WS_TargetInf.ShowMobHP == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	if (WS_TargetInf.ShowMobHPPercent == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	if (WS_TargetInf.ShowMobHPBoth == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	if (WS_TargetInf.MoreHPColor == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end
	
	if (WS_TargetInf.TextureAlarm == "1") then
		checkButton5:SetChecked(1);
	else
		checkButton5:SetChecked(nil);
	end

	if (WS_TargetInf.TOT_Alert_Toggle) then
		checkButton6:SetChecked(1);
	else
		checkButton6:SetChecked(nil);
	end

	if (WS_TargetInf.ToToT == "1") then
		checkButton7:SetChecked(1);
	else
		checkButton7:SetChecked(nil);
	end
end

function wsTargetInfConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");
	local checkButton7 = getglobal(parent:GetName().."CheckButton7");
	local slider1 = getglobal(parent:GetName().."Slider1");
	checkButton1:SetChecked(0);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(0);
	checkButton4:SetChecked(1);
	checkButton5:SetChecked(1);
	checkButton6:SetChecked(0);
	checkButton7:SetChecked(1);
	slider1:SetValue(70);
end

function wsTargetInfConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");
	local checkButton7 = getglobal(parent:GetName().."CheckButton7");
	local slider1 = getglobal(parent:GetName().."Slider1");

	if (checkButton1:GetChecked()) then
		WS_TargetInf.ShowMobHP = "1";
	else
		WS_TargetInf.ShowMobHP = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_TargetInf.ShowMobHPPercent = "1";
	else
		WS_TargetInf.ShowMobHPPercent = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_TargetInf.ShowMobHPBoth = "1";
	else
		WS_TargetInf.ShowMobHPBoth = "0";
	end

	if (checkButton4:GetChecked()) then
		WS_TargetInf.MoreHPColor = "1";
	else
		WS_TargetInf.MoreHPColor = "0";
	end

	if (checkButton5:GetChecked()) then
		WS_TargetInf.TextureAlarm = "1";
	else
		WS_TargetInf.TextureAlarm = "0";
	end

	if (checkButton6:GetChecked()) then
		WS_TargetInf.TOT_Alert_Toggle = true;
	else
		WS_TargetInf.TOT_Alert_Toggle = false;
	end

	if (checkButton7:GetChecked()) then
		WS_TargetInf.ToToT = "1";
	else
		WS_TargetInf.ToToT = "0";
	end

	WS_TargetInf.MobHPAlpha = slider1:GetValue();
	TargetHPButton:SetAlpha(WS_TargetInf.MobHPAlpha/100);

--	wsToggleShowHighLevel(WS_TargetInf.ShowHighLevel);
	wsToggleShowMobHP(WS_TargetInf.ShowMobHP,WS_TargetInf.ShowMobHPPercent,WS_TargetInf.ShowMobHPBoth);
	wsToggleHPColor(WS_TargetInf.MoreHPColor);
	wsToggleTextureAlarm(WS_TargetInf.TextureAlarm);
	wsToggleTargetClass(WS_TargetInf.TargetClass);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("TargetInf", WS_TargetInf);

end

function wsTargetInfConfigFrameCheckButton_OnClick(id)
	local parent = this:GetParent();
	local checkButton = getglobal(parent:GetName().."CheckButton"..id);
	if(id == 1 and this:GetChecked()) then
		local nextCheckButton = getglobal(parent:GetName().."CheckButton"..(id+1))
		local nextCheckButton1 = getglobal(parent:GetName().."CheckButton"..(id+2));
		if(nextCheckButton:GetChecked()) then
			nextCheckButton:SetChecked(0);
		end
		if(nextCheckButton1:GetChecked()) then
			nextCheckButton1:SetChecked(0);
		end
	end

	if (id == 2 and this:GetChecked()) then
		local BothCheckButton = getglobal(parent:GetName().."CheckButton"..(id-1))
		local BothCheckButton1 = getglobal(parent:GetName().."CheckButton"..(id+1));
		if(BothCheckButton:GetChecked()) then
			BothCheckButton:SetChecked(0);
		end
		if(BothCheckButton1:GetChecked()) then
			BothCheckButton1:SetChecked(0);
		end
	end

	if (id == 3 and this:GetChecked()) then
		local lastCheckButton = getglobal(parent:GetName().."CheckButton"..(id-1)) 
		local lastCheckButton1 = getglobal(parent:GetName().."CheckButton"..(id-2));
		if(lastCheckButton:GetChecked()) then
			lastCheckButton:SetChecked(0);
		end
		if(lastCheckButton1:GetChecked()) then
			lastCheckButton1:SetChecked(0);
		end
	end

	if ( this:GetChecked() ) then
		PlaySound("igMainMenuOptionCheckBoxOff");
	else
		PlaySound("igMainMenuOptionCheckBoxOn");
	end
end

function wsToggleShowMobHP(flag1,flag2,flag3)
	if(flag1 == "1" or flag2 == "1" or flag3 == "1") then
		TargetHPButton:Show();
--		ChatFrame_AddMessageGroup(ChatFrame2, "SPELL_CREATURE_VS_CREATURE_BUFF");
	else
		TargetHPButton:Hide();
	end
end

function wsToggleTargetClass(flag)
	if(flag == "1") then
		getglobal("wsTargetClassButton"):Show();
	else
		getglobal("wsTargetClassButton"):Hide();
	end
end