--***********************************
--Title: wowshell search config 
--Description: config wowshell search frame
--Author: 月色狼影
--Revision: $Rev: 40 $
--LastUpadate: $Id: WSSearchConfigFrame.lua 40 2008-02-14 03:46:10Z wolftankk $
--:
--***********************************

UIPanelWindows["wsWSSearchConfigFrame"] =		{ area = "left",	pushable = 1 };



-----
--2.4新增设置框架
-----
--WSSchPanel = wsGetLocaleVariable("WS_SEARCH_TITLE");
--WSSchSubText = wsGetLocaleVariable("WS_SEARCH_DESCRIPTION");

--default_WSSearch = {
--	Target_Search = {text = wsGetLocaleVariable("WS_SEARCH_ENABLE_TARGETSEARCH"), default = "1"},
--	Quest_Search = {text=wsGetLocaleVariable("WS_SEARCH_ENABLE_QUESTSEARCH"), default="1"},
--	FirstTime = {default="0"},
--}

--------------------------------------------------------------------

local default_WSSearch = { Target_Search = "1",
					Quest_Search = "1",
					FirstTime = "0",
					};

function wsWSSearchConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsWSSearchConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("WSSearch")) then
			WS_WSSearch = wsGetWSVar("WSSearch");
		else
			WS_WSSearch = default_WSSearch;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"General",
		wsGetLocaleVariable("WS_SEARCH_TITLE"),
		wsGetLocaleVariable("WS_SEARCH_DESCRIPTION"),
		wsGetLocaleVariable("WS_SEARCH_TOOLTIP"),
		"Interface\\Icons\\INV_Misc_Map_01",
		function()
			ShowUIPanel(wsWSSearchConfigFrame);
		end
	);

		ToggleTargetSearch(WS_WSSearch.Target_Search);
--		ToggleQuestSearch(WS_WSSearch.Quest_Search);
	end
end

--add
--[[
function wsWSSearchPanel_OnShow(panel)
	for _, control in next, panel.controls do
		if ( control.cvar ) then
			if ( control.type == CONTROLTYPE_CHECKBOX ) then
				value = wsGetWSVar(control.cvar); 
					if ( not control.invert ) then
						if ( value == "1" ) then
							control:SetChecked(true);
						else
							control:SetChecked(false);
						end
					else
						if ( value == "0" ) then
							control:SetChecked(true);
						else
							control:SetChecked(false);
						end
					end
					if ( control.dependentControls ) then
						if ( control:GetChecked() ) then
							for _, depControl in next, control.dependentControls do
								depControl:Enable();
							end
						else
							for _, depControl in next, control.dependentControls do
								depControl:Disable();
							end
						end
					end
			elseif ( control.type == CONTROLTYPE_SLIDER ) then
			end
		end
	end
end]]
--add


function wsWSSearchConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_SEARCH_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_SEARCH_ENABLE_TARGETSEARCH"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_SEARCH_ENABLE_QUESTSEARCH"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_WSSearch.Target_Search == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_WSSearch.Quest_Search == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end
end

function wsWSSearchConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
end

function wsWSSearchConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");

	if (checkButton1:GetChecked()) then
		WS_WSSearch.Target_Search = "1";
	else
		WS_WSSearch.Target_Search = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_WSSearch.Quest_Search = "1";
	else
		WS_WSSearch.Quest_Search = "0";
	end

	ToggleTargetSearch(WS_WSSearch.Target_Search);
--	ToggleQuestSearch(WS_WSSearch.Quest_Search);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("WSSearch", WS_WSSearch);

end


--[[
function WSConfigPanel_RegisterControl(control, parentFrame)
	if ((not parentFrame) or (not control )) then
		return;
	end
	parentFrame.controls = parentFrame.controls or {};

	tinsert(parentFrame.controls, control)

	local value;
	if ( control.cvar ) then
		if (control.type == CONTROLTYPE_CHECKBOX) then
			value = wsGetWSVar(control.cvar);
			control.currValue = value;
			control.value = value;
			if ( control.uvar ) then
				setglobal(control.uvar, value);
			end

			if ( control.setFunc ) then
				control.setFunc(value);
			end
			control.GetValue = function(self) return wsGetWSVar(self.cvar); end
			control.SetValue = function(self, value) self.value = value; wsSetWSVar(self.cvar, value, self.event);
			if ( self.uvar ) then setglobal(self.uvar, value) end if ( self.setFunc ) then self.setFunc(value) end end
		end
	end
end]]