----------------------------------------------
--  EVA GUI封装库.
--  作者: 月色狼影
--  $LastChangedBy$
--  $Rev$
--  $Date$
----------------------------------------------

--local EvaGUI = {}

--每个插件必须进行注册
--EvaGUI.id = --插件名
--EvaGUI.Title = --设置界面的名称
--EvaGUI.SubText = --副标题名


--首先必须要创建
-- myaddon = EVAGUI:New()
--[[
1.首先进行插件的注册工作.将 myaddon.."_OptionsFrame"做为整个GUI的frame层
2.在frame层开始写入 Title 和 subText(可选).这里将进行自动调整.



]]
--[[
function EvaGUI_CreatePanel(PanelName, addonTitle, addonSubText)
	--PanelName must Use AddonName
	frameName = PanelName.."_OptionsFrame";
	
	--创建面板
	local optionsFrame = CreateFrame("Frame", frameName, InterfaceOptionsFramePanelContainer);
	
	--标题名
	optionsFrame.name = addonTitle or GetAddOnMetadata(PanelName, "Title") or PanelName;
	local title = optionsFrame:CreateFontString(frameName.."Title", "ARTWOK", "GameFontNormalLarge");
	title:SetJustifyH("LEFT");
	title:SetJustifyV("TOP");
	title:SetPoint("TOPLEFT", 16, -16);
	title:SetText(optionsFrame.name)

	--notes
	optionsFrame.notes = addonSubText;
	if ( optionsFrame.notes ) then--判断是否存在,若存在在界面写入,若没有跳出
		local SubText = optionsFrame:CreateFontString(frameName.."SubText", "ARTWORK", "GameFontHighlightSmall");
		SubText:SetJustifyH("LEFT");
		SubText:SetJustifyV("TOP");
		SubText:SetPoint("TOPLEFT", title, "BOTTOMLEFT", 0, -8);
		SubText:SetPoint("TOPRIGHT", -32, 0);
		SubText:SetNonSpaceWrap(true);
		--SubText:SetMaxLines(2)--最大行数为2行 现在似乎无法使用
		SubText:SetTextHeight(18);
		--SubText:SetWidth(0);
		SubText:SetText(optionsFrame.notes)
	end

	--注册
	
	InterfaceOptions_AddCategory(optionsFrame)
end]]--
