-- Hook Functions
local originalGameTooltip_SetDefaultAnchor = nil;
--local originalUIParent_ManageFramePositions = nil;

function wsToggleTooltip(top,cursor)
	if ( top == "1" or cursor == "1") then
		if ( not originalGameTooltip_SetDefaultAnchor ) then
			originalGameTooltip_SetDefaultAnchor = GameTooltip_SetDefaultAnchor;
			GameTooltip_SetDefaultAnchor = WS_GameTooltip_SetDefaultAnchor;
		end
	else
		if ( originalGameTooltip_SetDefaultAnchor ) then
			GameTooltip_SetDefaultAnchor = originalGameTooltip_SetDefaultAnchor;
			originalGameTooltip_SetDefaultAnchor = nil;
		end
	end
end

function WS_GameTooltip_SetDefaultAnchor(tooltip, parent)
	tooltip:SetOwner(parent, "ANCHOR_NONE");
	if(WS_Tooltip.Tooltip_Top == "1") then
		tooltip:SetPoint("TOPLEFT", "UIParent", "TOP", -30, -20);
	elseif(WS_Tooltip.Cursor_Tooltip == "1") then
		local scale = UIParent:GetEffectiveScale();
		local x, y = GetCursorPosition();
		local maxWidth = UIParent:GetWidth() - 150;
		local MinHeight = 150 ;
		if(scale and scale ~= 0) then
			x = x / scale;
			y = y / scale;
		end
		if(x > maxWidth and y <MinHeight ) then
			tooltip:SetPoint("BOTTOMRIGHT", "UIParent", "BOTTOMRIGHT", -10, 30);
		elseif(x > maxWidth) then
			tooltip:SetPoint("TOPRIGHT", "UIParent", "BOTTOMRIGHT", 0, y-30);
		elseif(y > MinHeight) then
			tooltip:SetPoint("TOPLEFT", "UIParent", "BOTTOMLEFT", x+10, y-30);
		else
			tooltip:SetPoint("BOTTOMLEFT", "UIParent", "BOTTOMLEFT", x+20, y - 20);
		end
	end
end

function wsToggleFPSTop(top)
	if(top == "1") then
		hooksecurefunc("UIParent_ManageFramePositions",WS_UIParent_ManageFramePositions);
				
	end
end

function WS_UIParent_ManageFramePositions()
	if(WS_Tooltip and WS_Tooltip.Top_FPS and WS_Tooltip.Top_FPS == "1") then
		getglobal("FramerateLabel"):SetPoint("BOTTOM", "UIParent", "TOPLEFT", 140, -16) ;
	end
end
