-- Profiles
ASH_Choose_text = "Choose...";
ASH_Profiles_LoadMe = "Load Me!";
ASH_Profiles_Remove_This_Entry = "Remove This Entry";
ASH_Profiles_CharacterSpecific_Profiles = "Character-Specific Profiles";
ASH_Profiles_General_Profiles = "General Profiles";
ASH_Profiles_Delete_All_Profiles = "Delete All Profiles";
ASH_Profiles_Create_New = "Create New";
ASH_Profiles_LoadorDelete = "Load or Delete";
ASH_Profiles_Profile_Creator = "Profile Creator";
ASH_Profiles_BeginHere = "Begin Here!";
ASH_Profiles_BeginHere_text = "Choose an action.";
ASH_Profiles_Profile_Name = "Profile Name";
ASH_Profiles_Profile_Name_tooltiptext = "Type here the name you want to give this profile.";
ASH_Profiles_Modules = "Modules";
ASH_Profiles_Modules_tooltiptext = "Select which modules you want this profile to apply to.  Their current settings will be used.";
ASH_Profiles_Modules_Done = "Done!";
ASH_Profiles_OnlyThisCharacter = "Only This Character";
ASH_Profiles_OnlyThisCharacter_tooltiptext = "Check this if you want this profile only visible for this character.  Character-Specific profiles are valued higher than general profiles.";
ASH_Profiles_UseWhenEnteringCombat = "Use When Entering Combat / IC";
ASH_Profiles_DefaultProfile_tooltiptext = "Check this if you want this profile to be automatically set when you enter combat, or to be valued higher when in combat and another profile change occurs.";
ASH_Profiles_UseWhenLeavingCombat = "Use When Leaving Combat / OOC";
ASH_Profiles_UseWhenLeavingCombat_tooltiptext = "Check this if you want this profile to be automatically set when you leave combat, or to be valued higher when out of combat and another profile change occurs.";
ASH_Profiles_UseWhenJoiningGroup = "Use When Joining Group / Grouped";
ASH_Profiles_UseWhenJoiningGroup_tooltiptext = "Check this if you want this profile to be automatically set when you join a party or raid, or to be valued higher when grouped and another profile change occurs.";
ASH_Profiles_UseWhenLeavingGroup = "Use When Leaving Group / Ungrouped";
ASH_Profiles_UseWhenLeavingGroup_tooltiptext = "Check this if you want this profile to be automatically set when you leave a party or raid, or to be valued higher when ungrouped and another profile change occurs.";
ASH_Profiles_UseOtherwise = "Use Otherwise";
ASH_Profiles_UseOtherwise_tooltiptext = "Check this if you want this profile to be automatically set when one of the above four things happens, but no other profile is set to be used.";
ASH_Profiles_DefaultProfile = "Default Profile";
ASH_Profiles_DefaultProfile_tooltiptext = "Check this if you want this profile to be loaded when you log into the game.";
ASH_Profiles_Create = "Create!";
ASH_Profiles_Create_tooltiptext = "Creates the Profile.";
ASH_Profiles_Help = "Help";
ASH_Profiles_Help_tooltiptext = "Displays some info about profiles.";
ASH_Profiles_Close = "Close";
ASH_Profiles_Close_tooltiptext = "Closes this window.";

ASH_Profiles_typeaname = "Please type a name for your profile!";
ASH_Profiles_selectmodules = "Please select one or more modules!";
ASH_Profiles_createdsuccessfully = "Your profile has been created successfully!";
ASH_Profiles_loaded_s = "Profile < ";
ASH_Profiles_loaded_e = " > loaded successfully!";

-- Author Info
ASH_AuthorInfo_Msg1 = "|cff00ffffDoTimer Version/Author Info:|r";
ASH_AuthorInfo_Msg2 = "|cff00ff00Current version|r: ";
ASH_AuthorInfo_Msg3 = "|cff00ff00Date Uploaded|r: ";
ASH_AuthorInfo_Msg4 = "|cff00ff00Author|r: Asheyla <Warcraft Gaming Faction>, Shattered Hand (Horde)";
ASH_AuthorInfo_Msg5 = "|cff00ff00Email|r: ross456@gmail.com";
ASH_AuthorInfo_Msg6 = "|cff00ff00AIM|r: IBerian3209";
ASH_AuthorInfo_Msg7 = "|cff00ff00Paypal Donations|r: ross456@gmail.com";
ASH_AuthorInfo_Msg8 = "----------------------------------------------";

-- timerset
ASH_Main_Menu = "DoTimer Main Menu";
ASH_Main_Menu_Cd = "Cooldowns Main Menu";
ASH_Main_Menu_Not = "Notifications Timer Settings";

--Column 1
ASH_Enabled = "Enabled";
ASH_Enabled_tooltiptext = "Turns the addon on or off, default state: on.";
ASH_Locked = "Locked";
ASH_Locked_tooltiptext = "Locks the addon, hiding the drag icon, default state: unlocked.";
ASH_Headers = "Headers";
ASH_Headers_tooltiptext = "Toggles the showing of targets, default state: shown.";
ASH_Raid_Icons = "Raid Icons";
ASH_Raid_Icons_tooltiptext = "Determines if raid icons will be overlayed over target names.  Note that 'Names' can be turned off to only have raid icons shown, default state: on.";
ASH_Move_Target_Name = "Move Target Name";
ASH_Move_Target_Name_tooltiptext = "Determines if the target name will be moved to a more vertically-oriented position when Target Layout is up or down, default state: true.";
ASH_levels = "Levels";
ASH_levels_tooltiptext = "Determines if the level of the target will be displayed, default state: shown.";
ASH_Show_Only_Target = "Show Only Target";
ASH_Show_Only_Target_tooltiptext = "Determines if only timers for your current target will be shown (the others will be tracked, but hidden), default state: off."
ASH_Sort_Target = "Sort Target";
ASH_Sort_Target_tooltiptext = "Determines if the table for the current target will be automatically sorted to the first position, default state: off.";
ASH_SHOW_Only_Focus = "Show Only Focus";
ASH_SHOW_Only_Focus_tooltiptext = "Determines if only timers for your current focus will be shown (the others will be tracked, but hidden).  Note that this and 'Show Only Target' can be used together, with the latter being sorted first, default state: off.";
ASH_Sort_Focus = "Sort Focus";
ASH_Sort_Focus_tooltiptext = "Determines if the table for the current target will be automatically sorted to the first position.  Note that this and 'Sort Target' can be used together, with the latter being sorted first, default state: off.";
ASH_Clickable = "Clickable";
ASH_Clickable_tooltiptext = "Determines if debuffs can be clicked: Leftclick to add to chat, rightclick to remove, shift+rightclick to remove and block, default state: on.";
ASH_Show_Tenths = "Show Tenths";
ASH_Show_Tenths_tooltiptext = "Determines if the displayed duration on timers is accurate to .1 second, else to 1 second, default state: off.";
ASH_Tooltips = "Tooltips";
ASH_Tooltips_tooltiptext = "Determines if tooltips will be shown when you mouse over timers, default state: on.";
ASH_Icons = "Icons";
ASH_Icons_tooltiptext = "Determines if the icons in the bar format will be shown, default state: shown.";
ASH_Reversed = "Reversed";
ASH_Reversed_tooltiptext = "Determines if the timers in 'bar' format will grow instead of shrink, default state: off.";
ASH_Expire_Alert = "Expire Alert";
ASH_Expire_Alert_tooltiptext = "Determines if the timer icon (in icons format) highlights for 2 seconds at less than 5 seconds remaining, default state: on.";
ASH_Play_Sounds = "Play Sounds";
ASH_Play_Sounds_tooltiptext = "Determines if a sound will be played when a timer hits five seconds left, default state: off.";
ASH_Ghost_Timers = "Ghost Timers";
ASH_Ghost_Timers_tooltiptext = "Determines if ghost timers will be created or not.  Ghost timers are created when timers expire, default state: on.";
ASH_Hide_All = "Hide All";
ASH_Hide_All_tooltiptext = "Determines if all timers will be hidden from view, default state: off.";
ASH_On_Yourself = "On Yourself";
ASH_On_Yourself_tooltiptext = "Determines if timers representing buffs on yourself will be created, default state: no.";
ASH_Move_Target_Name = "Move Target Name";
ASH_Move_Target_Name_tooltiptext = "Determines if the target name will be moved to a more vertically - oriented position when Target Layout is up or down, default state: true.";
 --Column 2
ASH_Scale = "Scale";
ASH_Scale_tooltiptext = "Changes the relative size of the interface, default value: 1.";
ASH_Timer_Scale = "Timer Scale";
ASH_Timer_Scale_tooltiptext = "Changes the relative size of the debuff icons of the interface, default value: 1.";
ASH_Bar_Length = "Bar Length";
ASH_Bar_Length_tooltiptext = "Determines how long the bar are in Bars format, or how much text is shown in Text format, default 175.";
ASH_Timer_Spacing = "Timer Spacing";
ASH_Timer_Spacing_tooltiptext = "Determines how spaced out the timers are from each other, default 5.";
ASH_Target_Spacing = "Target Spacing";
ASH_Target_Spacing_tooltiptext = "Determines how spaced out the targets are from each other, default 15.";
ASH_Alpha = "Alpha";
ASH_Alpha_tooltiptext = "Determines the overall alpha of the timers.  1 means fully opaque; 0 means completely translucent, default 1.";
ASH_Ghost_Duration = "Ghost Duration";
ASH_Ghost_Duration_tooltiptext = "Determines how long, in seconds, ghost timers will stay on the screen, default 5.";
ASH_Bar_Texture = "Bar Texture";
ASH_Bar_Texture_tooltiptext = "Determines the index of which bar texture will be used, default 4.";
ASH_Fade_In_Time = "Fade In Time";
ASH_Fade_In_Time_tooltiptext = "Determines how long, in seconds, timers will take to fade in, default 1.";
ASH_Max_Targets = "Max Targets";
ASH_Max_Targets_tooltiptext = "Determines the maximum number of targets that will be created (0 means no limit), default 0.";
ASH_Fade_Out_Time = "Fade Out Time";
ASH_Fade_Out_Time_tooltiptext = "Determines how long, in seconds, timers will take to fade out, default 3.";
ASH_Max_Buff_Duration = "Max Buff Duration";
ASH_Max_Buff_Duration_tooltiptext = "Determines the maximum duration, in minutes, buffs you cast can last to be made a timer (0 means no limit), default 1.";

 --Column 3
ASH_Colors = "Colors";
ASH_Colors_tooltiptext = "Lets you set the color of specific timers, timer types, ghost timers, and the bar text.";
ASH_Timer_Format = "Timer Format";
ASH_Timer_Format_tooltiptext = "Determines if the timers will be displayed as bars, icons, or text, default bars.";
ASH_Target_Layout = "Target Layout";
ASH_Target_Layout_tooltiptext = "Sets the direction in which new target tables are added, default value: left.";
ASH_Timer_Layout = "Timer Layout";
ASH_Timer_Layout_tooltiptext = "Sets the direction in which new debuff timers are added, default value: down.";
ASH_Sorting_Method = "Sorting Method";
ASH_Sorting_Method_tooltiptext = "Sets the manner in which debuffs are sorted: time added or time remaining, and ascending or descending, default value: remaining (D).";
ASH_Target_Sorting = "Target Sorting";
ASH_Target_Sorting_tooltiptext = "Sets the manner in which targets are sorted: time added or alphabetical, and ascending or descending, default value: added (D).";
ASH_Seconds_Format = "Seconds Format";
ASH_Seconds_Format_tooltiptext = "Sets the manner in which the time string is displayed when less than 1 minute remains on the timer.";
ASH_Hidden_Types = "Hidden Types";
ASH_Hidden_Types_tooltiptext = "Lets you hide entire timer types from appearing onscreen.";
ASH_Debugging = "Debugging";
ASH_Debugging_tooltiptext = "Sets debug messages.  \"off\" for none, \"on\" for default frame, or a number representing the chat frame to send the messages.  Press ENTER when done typing.";
ASH_Hidden_Timers = "Hidden Timers";
ASH_Hidden_Timers_tooltiptext = "Allows timers to be hidden upon creation.  Press ENTER after typing in a name to add it to the list, or ESCAPE to remove it.  \n\nCurrent List:";
ASH_Chat_Msg = "Chat Msg";
ASH_Chat_Msg_tooltiptext = [[
				Allows you to customize the chat message sent when left-clicking a timer.

				Valid formatting codes:
				%s: spell name
				%r: spell rank
				%d: time remaining
				%t: spell's target
				%l: target's level

				Normal: %s,%r,%d,%t,%l
				No Target: %s,%r,%d

				Prefix with one of [normal,notarget] followed by a ":" to set the msg for that type.
				Press ENTER when finished typing.
				
				Current strings:]];
ASH_Chat_Msg_Normal = "Normal: ";
ASH_Chat_Msg_NoTarget = "No Target: ";
ASH_Bar_Msg = "Bar Msg";
ASH_Bar_Msg_tooltiptext = "Allows you to customize the text \ninside the bar / shown in 'text only' format.\n\nValid formatting codes:\n\n";
ASH_Bar_Msg_tooltiptext2 = "\nNormally, the text is anchored to the left.  \nHowever, if you want to display some or all of the \ntext anchored to the right, this is how you do it:"
ASH_Bar_Msg_tooltiptext3 = "\n\nAdd '&' with a ':' on EITHER (NOT BOTH) side of it.  \nThe ':' governs which side is given preference if the \nbar length is too short to display the entire message."
ASH_Bar_Msg_tooltiptext4 = "\n\nExample: '%s&:%d', on a short bar: |Cool Ti... 0:15|"
ASH_Bar_Msg_tooltiptext5 = "\n\nPress ENTER when finished typing."
ASH_Key_Bindings = "Key Bindings";
ASH_Key_Bindings_tooltiptext = [[
				Lets you customize the keybindings for certain actions.
				
				If you are attempting to change the keybinding, just click on the final selection to finish (e.g., click 'Left Click' to just set to left-click, or if you want shift-leftclick move your mouse to the 'Shift' selection that appeared, etc.)]];

--Column 4
ASH_Reset = "Reset";
ASH_Reset_tooltiptext = "Resets all settings to their default value..";
ASH_Reset_Position = "Reset Position";
ASH_Reset_Position_tooltiptext = "Resets the position of the drag icon to the middle of the screen.";
ASH_Author_Info = "Author Info";
ASH_Author_Info_tooltiptext = "Prints in the chat frame information about the current version and about the author.";
ASH_Beginners = "Beginners";
ASH_Beginners_tooltiptext = "Prints in the chat frame basic info about the mod, for beginners.";
ASH_Show_Preview = "Show Preview";
ASH_Show_Preview_tooltiptext = "Shows the interface for the current settings for 3 targets and 4 debuffs.";
ASH_Hide_Preview = "Hide Preview";
ASH_Hide_Preview_tooltiptext = "Hides the preview created from the above button, as well as any other timers.  Beware.";
ASH_Profiles = "Profiles";
ASH_Profiles_tooltiptext = "Opens the Profile Creator menu.";
ASH_Close = "Close";
ASH_Close_tooltiptext = "Closes this window.";

-- CD
ASH_Header_Cd = "Header";                                
ASH_Header_tooltiptext_Cd = "Toggles the showing of the 'Cooldowns' header, default state: shown.";   
ASH_Integrated_Cd = "Integrated";
ASH_Integrated_tooltiptext_Cd = "Determines if the timers are integrated into DoTimer, default state: off.";
ASH_Min_Cooldown_Cd = "Min Cooldown";
ASH_Min_Cooldown_tooltiptext_Cd = "Determines the minimum length of a cooldown, in seconds, for a timer to be made, default 2.";
	
ASH_Max_Cooldown_Cd = "Max Cooldown";
ASH_Max_Cooldown_tooltiptext_Cd = "Determines the maximum length of a cooldown, in hours, for a timer to be made (0 means no limit), default 1.";
ASH_Chat_Msg_tooltiptext_Cd = [[
				Allows you to customize the chat message sent when left-clicking a timer.

				Valid formatting codes:
				%s: spell name
				%d: time remaining
				%t: Soulstone's target

				Normal: %s,%d
				No Target: %s,%d,%t

				Prefix with one of [normal,soulstone] followed by a ":" to set the msg for that type.
				Press ENTER when finished typing.
				
				Current strings:]];
ASH_Chat_Msg_Soulstone_Cd = "soulstone: ";
ASH_Bar_Msg_tooltiptext_Cd = [[
				Allows you to customize the text inside the bar / shown in 'text only' format.
				
				Valid formatting codes:
				%s: spell name
				%d: time remaining
				
				Press ENTER when finished typing.]];
ASH_HEAD_TEXT_Cd = "CoolDowns";
ASH_Return = "Return";
ASH_Return_tooltiptext = "Returns to the previous GUI.";

-- not
ASH_Return_Cd = "Return";
ASH_Return_tooltiptext_Cd = "Returns to the Notifications Main Menu.";
ASH_Timer_Settings = "Timer Settings";
ASH_Timer_Settings_tooltiptext = "Opens the options window for customizing the timers that can be made.";

 -- Color set
	ASH_COLOR_Specific_Timer = "Specific Timer";
	ASH_COLOR_Timer_Type = "Timer Type";
	ASH_COLOR_Bar_Text = "Bar Text";
	ASH_COLOR_Ghost_Timers = "Ghost Timers";
	ASH_COLOR_Bar_Background = "Bar Background";
	ASH_COLOR_All_Timers = "All Timers";
	ASH_COLOR_Target_Name = "Target Name";
        ASH_Harmful = "Harmful";
        ASH_Helpful = "Helpful";
        ASH_NoTarget = "No Target";

-- Help info

-- PlayerAuras
   ASH_playBuffs_Timer_Settings = "playBuffs Timer Settings";
   ASH_playDebuffs_Timer_Settings = "PlayerDebuffs Timer Settings"
   ASH_Priority_1 = "Priority 1";
   ASH_Priority_1_tooltiptext = "Sets the top priority level for timers.  Note that 'none' will make all lower levels ignored.  Sorting is determined by first the timer's priority level, then the sorting method.";
   ASH_Priority_2 = "Priority 2";
   ASH_Priority_2_tooltiptext = "Sets the middle priority level for timers.  Note that 'none' will make all lower levels ignored.  Sorting is determined by first the timer's priority level, then the sorting method.";
   ASH_Priority_3 = "Priority 3";
   ASH_Priority_3_tooltiptext = "Sets the bottom priority level for timers.  Note that 'none' will make all lower levels ignored.  Sorting is determined by first the timer's priority level, then the sorting method.";
   ASH_none = "none";
   ASH_Standard_Buff = "Standard Buff";
   ASH_Standard_DebuffDispel_Type = "Standard Debuff / Dispel Type";
   ASH_No_Duration = "No Duration";
   ASH_No_Duration_tooltiptext = "Sets which timers that actually have a duration are instead flagged as having no duration, so that less attention can be paid to them.  Press ENTER after typing in a name to add it to the list, or ESCAPE to remove it.  \n\nCurrent List:";
   ASH_Weapon_Enchant = "Weapon Enchant";
   ASH_Dispel_Types = "Dispel Types";
   ASH_Dispel_Types_tooltiptext = "Determines if debuff timers with a duration will be sorted and colored by their dispel type, or all treated as the same, default state: true.";
   ASH_Standard_Debuff = "Standard Debuff";
   ASH_Standard_Debuff_No = "Standard Debuff (No Duration)";
   ASH_Weapon_Enchant_No = "Weapon Enchant (No Duration)";
   ASH_Standard_Buff_No = "Standard Buff (No Duration)"
   ASH_Dispel_Type_None = "Dispel Type: None";
   ASH_Dispel_Type_Magic = "Dispel Type: Magic";
   ASH_Dispel_Type_Curse = "Dispel Type: Curse";
   ASH_Dispel_Type_Disease = "Dispel Type: Disease";
   ASH_Dispel_Type_Poison = "Dispel Type: Poison";
   ASH_Chat_Msg_tooltiptext_PA = [[
				Allows you to customize the chat message sent when left-clicking a timer.

				Valid formatting codes:
				%s: spell name
				%r: spell rank
				%d: time remaining

				Normal: %s,%r,%d
				No Expiration: %s,%r
				Weapon Enchant: %s,%r,%d

				Prefix with one of [normal,noexpire,wep] followed by a ":" to set the msg for that type.
				Example: "normal: My %s will expire in %d."
				
				Press ENTER when finished typing.
				
				Current strings:]];
		ASH_Chat_Msg_tooltiptext_PA_DF = [[
				Allows you to customize the chat message sent when left-clicking a timer.

				Valid formatting codes:
				%s: spell name
				%r: spell rank
				%d: time remaining

				Normal: %s,%r,%d
				No Expiration: %s,%r

				Prefix with one of [normal,noexpire] followed by a ":" to set the msg for that type.
				Example: "normal: My %s will expire in %d."
				
				Press ENTER when finished typing.
				
				Current strings:]];
		ASH_Setting_failed_PA = "|cff00ffffPlayerBuffs|r: Setting failed being set. (Reason: unable to parse)";
    ASH_Setting_failed_PA_DF = "|cff00ffffPlayerDebuffs|r: Setting failed being set. (Reason: unable to parse)";
    ASH_No_Expiration = "No Expiration: ";
    ASH_Weapon_Enchant = "Weapon Enchant: ";
    ASH_LeftButton_Msg_PA = "This is the |cff00ffffPlayerBuffs|r anchor.  Access |cff00ffffPlayerBuffs|r's menu by typing '|cff00ff00/pb|r'.  Hide me by checking the '|cff00ff00Locked|r' checkbutton in the menu.";
    ASH_LeftButton_Msg_PA_DF = "This is the |cff00ffffPlayerDebuffs|r anchor.  Access |cff00ffffPlayerDebuffs|r's menu by typing '|cff00ff00/pd|r'.  Hide me by checking the '|cff00ff00Locked|r' checkbutton in the menu.";
    ASH_chatmsgnormal_PA = "My %s will expire in %d.";
	  ASH_chatmsgnoexpire_PA = "I currently have the '%s' buff.";
	  ASH_chatmsgwep_PA = "My %s's enchant will expire in %d.";
	  ASH_chatmsgnormal_DF = "My %s will fade in %d.";
	  ASH_chatmsgnoexpire_DF = "I currently have the '%s' debuff.";
	  ASH_Integrated_tooltiptext_PB = "Determines if the timers are integrated into PlayerDebuffs, default state: off.";
	  ASH_Integrated_tooltiptext_PD = "Determines if the timers are integrated into PlayerBuffs, default state: on.";
	  
-- Prominence
    ASH_Tracked_Timers = "Tracked Timers";
    ASH_Tracked_Timers_tooltiptext = "Sets which timers from DoTimer are shown in Prominence.  Press ENTER after typing in a name to add it to the list, or ESCAPE to remove it.  \n\nCurrent List:";   
    ASH_Prominence_Timer_Settings = "Prominence Timer Settings";
    ASH_LeftButton_Msg_PR = "This is the |cff00ffffProminence|r anchor.  Access |cff00ffffProminence|r's menu by typing '|cff00ff00/prom|r'.  Hide me by checking the '|cff00ff00Locked|r' checkbutton in the menu.";

-- Communication
    ASH_Communication_text = "There is a new version of DoTimer available: %s.  You will not be alerted for this version again.";
    ASH_OK = "OK";

-- Other info
         ASH_Drag_Icon = "Drag Icon";
	 ASH_Addon_Info = "Addon Info";
	 ASH_Remove_All_Timers = "Remove All Timers";
	ASH_Target = "Target";
	ASH_Target_tooltiptext = "Enter here the name of the person you want your whisper sent to (leaving this field blank is the same as setting it to '%t').";
	ASH_Remove = "Remove";
	ASH_Timer = "Timer";
	ASH_Announce = "Announce";
	ASH_Hide = "Hide";
	ASH_Left_Click = "Left Click";
	ASH_Right_Click = "Right Click";
	ASH_Middle_Click = "Middle Click";
	ASH_Current_Keybinding = "Current Keybinding";
	ASH_Change_Keybinding = "Change Keybinding";
	ASH_New_setting = "New setting: ";
	ASH_Removed_from_list = "Removed from list: ";
	ASH_Added_to_list = "Added to list: ";
	ASH_Setting_failed = "|cff00ffffDoTimer|r: Setting failed being set. (Reason: unable to parse)";
	ASH_chat_msg = "chat msg set to: ";

	ASH_barmsgcodes_s_DOT = "spell name";
	ASH_barmsgcodes_r_DOT = "spell rank";
	ASH_barmsgcodes_d_DOT = "time remaining";
	ASH_barmsgcodes_c_DOT = "spell count (number of applications)";
	ASH_barmsgcodes_t_DOT = "spell's target";
	ASH_barmsgcodes_l_DOT = "target's level";
	ASH_Soulstone_target = "Soulstone's target";
	ASH_to_hide = " to hide.";
	ASH_to_remove = " to remove.";
	ASH_to_announce = " to announce.";
	ASH_Unable_set_keybinding = "Unable to set keybinding (another action is already using it).";
ASH_No_Target = "No Target";
ASH_LeftButton_Msg = "This is the |cff00ffffDoTimer|r anchor.  Access |cff00ffffDoTimer|r's menu by typing '|cff00ff00/dot|r'.  Hide me by checking the '|cff00ff00Locked|r' checkbutton in the menu."
ASH_LeftButton_Msg_Cd = "This is the |cff00ffffCoolDowns|r anchor.  Access |cff00ffff|rCoolDowns's menu by typing '|cff00ff00/CD|r'.  Hide me by checking the '|cff00ff00Locked|r' checkbutton in the menu."
ASH_LeftButton_Not = "This is the |cff00ffffNotifications|r anchor.  Access |cff00ffffNotifications|r's menu by typing '|cff00ff00/not|r'.  Hide me by checking the '|cff00ff00Locked|r' checkbutton in the menu.";
ASH_Commands_HelpMsg = "Type |cff00ff00/dotimer help|r for some info, or |cff00ff00/dotimer|r to open the menu!";
ASH_CLICKHELP = "Left-click to announce.  Right-click to remove.  Shift+right-click to hide.";
ASH_CHATMSGNORMAL = "My %s(%r) will expire on [%l]%t in %d.";
ASH_CHATMSGNOTARGET = "My %s(%r) will finish in %d."; 
ASH_CHATMSGNORMAL_Cd = "My cooldown for %s will complete in %d.";
ASH_CHATMSGSoulstone_Cd = "My soulstone on %t will expire in %d.";
ASH_BLOCK_Text  = "Are you sure you want to block the timer for %s?" ;
ASH_BLOCK_Button1 = "Yes";
ASH_BLOCK_Button2 = "No";
ASH_ShowTimers_target = "Scary Mob ";
ASH_ShowTimers_spell = "Cool Timer";
ASH_Commands_HelpMsg_Cd = "Type |cff00ff00/CoolDowns help|r for some info, or |cff00ff00/CoolDowns|r to open the menu!";
ASH_Inventory = "Inventory"
ASH_Backpack = "Backpack";
ASH_Bag1 = "Bag 1";
ASH_Bag2 = "Bag 2";
ASH_Bag3 = "Bag 3";
ASH_Bag4 = "Bag 4";

ASH_begin = "begin";
ASH_half = "half";
ASH_final = "final";
ASH_up = "up";
ASH_down = "down";
ASH_left = "left";
ASH_right = "right";
ASH_bars = "bars";
ASH_icon = "icons";
ASH_text = "text";
ASH_added = "added";
ASH_remaining = "remaining";
ASH_alphabetical = "alphabetical";
ASH_added_A = "added (A)";
ASH_added_D = "added (D)";
ASH_remaining_A = "remaining (A)";
ASH_remaining_D = "remaining (D)";
ASH_alphabetical_A = "alphabetical (A)";
ASH_alphabetical_D = "alphabetical (D)";