UIPanelWindows["wsAutoRepairConfigFrame"] =		{ area = "left",	pushable = 1 };
local L = wsGetLocaleVariable;

local default_AutoRepair = { 
	AutoRepairAll_Enable = "1" 
	};

function wsAutoRepairConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsAutoRepairConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("AutoRepair")) then
			WS_AutoRepair = wsGetWSVar("AutoRepair");
		else
			WS_AutoRepair = default_AutoRepair;
		end
	--add
	if(not DurStatusOpt) then 
		DurStatusOpt =
		{
			showMerchant= "1",
			showReport= "1",
			showWindow= "1",
			lockWindow= false,
			showAverage= false
		}; 
		end

	if( DurStatusOpt.showWindow =="1" ) then DS_Window:Show(); else DS_Window:Hide(); end

	DS_Window:SetUserPlaced(true);
	DurabilityStatus_BagUpdate();
	--end

	--set Auto Profit
	
	--end --

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Item",
		wsGetLocaleVariable("WS_AUTOREPAIR_TITLE"),
		wsGetLocaleVariable("WS_AUTOREPAIR_DESCRIPTION"),
		wsGetLocaleVariable("WS_AUTOREPAIR_TOOLTIP"),
		"Interface\\Icons\\Trade_BlackSmithing",
		function()
			ShowUIPanel(wsAutoRepairConfigFrame);
		end
	);

		wsToggleAutoRepair(WS_AutoRepair.AutoRepairAll_Enable);
	end
end

function wsAutoRepairConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_AUTOREPAIR_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_AUTOREPAIR_ENABLE_AUTOREPAIR"));

	--Button2
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(DURABILITYSTATUS_CONFIG_MERCHANT);

	--3
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(DURABILITYSTATUS_CONFIG_WINDOW);

	--4
	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(DURABILITYSTATUS_CONFIG_REPORT);

	--5
	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	checkButton5:Show();
	local checkButton5Text = getglobal(this:GetName().."CheckButton5Text");
	checkButton5Text:SetText(DURABILITYSTATUS_CONFIG_LOCK);

	--6
	local checkButton6 = getglobal(this:GetName().."CheckButton6");
	checkButton6:Show();
	local checkButton6Text = getglobal(this:GetName().."CheckButton6Text");
	checkButton6Text:SetText(DURABILITYSTATUS_CONFIG_AVERAGE);

	--7 自动售卖设置
	--显示出售信息
	local checkButton7 = getglobal(this:GetName().."CheckButton7");
	checkButton7:Show();
	local checkButton7Text = getglobal(this:GetName().."CheckButton7Text");
	checkButton7Text:SetText(wsGetLocaleVariable("WS_AUTOPROFIT_SILEN1"));

	--自动出售
	--8
	local checkButton8 = getglobal(this:GetName().."CheckButton8");
	checkButton8:Show();
	local checkButton8Text = getglobal(this:GetName().."CheckButton8Text");
	checkButton8Text:SetText(wsGetLocaleVariable("WS_AUTOPROFIT_AUTOSELL"));

--set button var
	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_AutoRepair.AutoRepairAll_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	--button2
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (DurStatusOpt.showMerchant == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	--3
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (DurStatusOpt.showWindow == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	--4
	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (DurStatusOpt.showReport == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	if (DurStatusOpt.lockWindow == true) then
		checkButton5:SetChecked(1);
	else
		checkButton5:SetChecked(nil);
	end

	--6
	local checkButton6 = getglobal(this:GetName().."CheckButton6");
	if (DurStatusOpt.showAverage == true) then
		checkButton6:SetChecked(1);
	else
		checkButton6:SetChecked(nil);
	end

	--7
	local checkButton7 = getglobal(this:GetName().."CheckButton7");
	if (autoSilent == 0) then
		checkButton7:SetChecked(1);
	else
		checkButton7:SetChecked(nil);
	end

	--8
	local checkButton8 = getglobal(this:GetName().."CheckButton8");
	if (autoSell == 1) then
		checkButton8:SetChecked(1);
	else
		checkButton8:SetChecked(nil);
	end
end

function wsAutoRepairConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");--button2
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");--button3
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");--button4
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");--button5
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");--button6
	local checkButton7 = getglobal(parent:GetName().."CheckButton7");--button7
	local checkButton8 = getglobal(parent:GetName().."CheckButton8");--button8

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);--button
	checkButton3:SetChecked(1);--button3
	checkButton4:SetChecked(1);--button4
	checkButton5:SetChecked(nil);--button5
	checkButton6:SetChecked(nil);--button6
	checkButton7:SetChecked(1);--button7
	checkButton8:SetChecked(1);--button8
end

function wsAutoRepairConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");--2
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");--3
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");--4
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");--5
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");--6
	local checkButton7 = getglobal(parent:GetName().."CheckButton7");--7
	local checkButton8 = getglobal(parent:GetName().."CheckButton8");--7

	if (checkButton1:GetChecked()) then
		WS_AutoRepair.AutoRepairAll_Enable = "1";
	else
		WS_AutoRepair.AutoRepairAll_Enable = "0";
	end
	wsToggleAutoRepair(WS_AutoRepair.AutoRepairAll_Enable);

	if (checkButton2:GetChecked()) then
		DurStatusOpt.showMerchant = "1";
	else
		DurStatusOpt.showMerchant = "0";
	end

	if (checkButton3:GetChecked()) then
		DurStatusOpt.showWindow = "1";
		DS_Window:Show()
	else
		DurStatusOpt.showWindow = "0";
		DS_Window:Hide()
	end

	if (checkButton4:GetChecked()) then
		DurStatusOpt.showReport = "1";
	else
		DurStatusOpt.showReport = "0";
	end

	if (checkButton5:GetChecked()) then
		DurStatusOpt.lockWindow = true;
	else
		DurStatusOpt.lockWindow = false;
	end

	if (checkButton6:GetChecked()) then
		DurStatusOpt.showAverage = true;
	else
		DurStatusOpt.showAverage = false;
	end

	if (checkButton7:GetChecked()) then
		--wsARPrint(L("WS_AUTOPROFIT_SILENON"), 0.0, .80, 1);
		autoSilent = 0;
	else
		--wsARPrint(L("WS_AUTOPROFIT_SILENOFF"), 0.0, .80, 1);
		autoSilent = 1;
	end

	if (checkButton8:GetChecked()) then
		--wsARPrint(L("WS_AUTOPROFIT_AUTOON"), 0.0, .80, 1);
		autoSell = 1;
	else
		--wsARPrint(L("WS_AUTOPROFIT_AUTOOFF"), 0.0, .80, 1);
		autoSell = 0;
	end

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("AutoRepair", WS_AutoRepair);

end

function wsAutoRepairConfigButton_OnEnter(id)
	if(GetLocale() ~= "zhCN") then
		return;
	end
	if(not id) then
		return;
	end
	local tip = "WS_AUTOREPAIR_CONFIGTIP"..id;
	GameTooltip:SetOwner(this, "ANCHOR_TOPLEFT");
	wsFormatConfigTip(wsGetGameLocaleVariable(tip));
	GameTooltip:Show();
end