-- Hook Functions
local originalMerchantFrame_OnShow = nil;
local originalMerchantFrame_OnHide = nil;
--local originalAuctionFrame_OnShow = nil;
--local originalAuctionFrame_OnEvent = nil;
local originalBankFrame_OnEvent = nil;

local MAX_BAGNUM=4;
local OpenedBag={};

function wsToggleMerchantBagOpen(flag)
	if ( flag == "1" ) then
		if ( not originalMerchantFrame_OnShow ) then
			originalMerchantFrame_OnShow = MerchantFrame_OnShow;
			MerchantFrame_OnShow = WS_MerchantFrame_OnShow;
			originalMerchantFrame_OnHide = MerchantFrame_OnHide;
			MerchantFrame_OnHide = WS_MerchantFrame_OnHide;
		end
	else
		if ( originalMerchantFrame_OnShow ) then
			MerchantFrame_OnShow = originalMerchantFrame_OnShow;
			originalMerchantFrame_OnShow = nil;
			MerchantFrame_OnHide = originalMerchantFrame_OnHide;
			originalMerchantFrame_OnHide = nil;
		end
	end
end

function wsToggleBankBagOpen(flag)
--	if ( flag == "1" ) then
--		if ( not originalBankFrame_OnEvent ) then
--			originalBankFrame_OnEvent = BankFrame_OnEvent;
--			BankFrame_OnEvent = WS_BankFrame_OnEvent;
--		end
--	else
--		if ( originalBankFrame_OnEvent ) then
--			BankFrame_OnEvent = originalBankFrame_OnEvent;
--			originalBankFrame_OnEvent = nil;
--		end
--	end
end

function wsToggleAHBagOpen(flag)
--	if ( flag == "1" ) then
--		if ( not originalAuctionFrame_OnShow ) then
--			originalAuctionFrame_OnShow = AuctionFrame_OnShow;
--			AuctionFrame_OnShow = WS_AuctionFrame_OnShow;
--			originalAuctionFrame_OnEvent = AuctionFrame_OnEvent;
--			AuctionFrame_OnEvent = WS_AuctionFrame_OnEvent;
--		end
--	else
--		if ( originalAuctionFrame_OnShow ) then
--			AuctionFrame_OnShow = originalAuctionFrame_OnShow;
--			originalAuctionFrame_OnShow = nil;
--			AuctionFrame_OnEvent = originalAuctionFrame_OnEvent;
--			originalAuctionFrame_OnEvent = nil;
--		end
--	end
end

function wsToggleGuildOpen(flag)
	
end

function WS_MerchantFrame_OnShow()
	WS_SaveOpenedBag();
	OpenAllBags(1);

	originalMerchantFrame_OnShow();
end

function WS_MerchantFrame_OnHide()
	CloseMerchant();
	WS_CloseAllBags();
	WS_OpenSaveBag();
	ResetCursor();
end

function WS_CloseAllBags()
	CloseAllBags();
	CloseBag(0);
end

--function WS_AuctionFrame_OnShow()
--
--	this.gotAuctions = nil;
--	this.gotBids = nil;
--	AuctionFrameTab_OnClick(1);
--	SetPortraitTexture(AuctionPortraitTexture,"npc");
--	BrowseNoResultsText:SetText(BROWSE_SEARCH_TEXT);
--	PlaySound("AuctionWindowOpen");
--
--	WS_SaveOpenedBag();
--	OpenAllBags(1);
--end

--function WS_AuctionFrame_OnEvent()
--	if ( event == "AUCTION_HOUSE_SHOW" ) then
--		if ( this:IsVisible() ) then
--			AuctionFrameBrowse_Update();
--			AuctionFrameBid_Update();
--			AuctionFrameAuctions_Update();
--		else
--			ShowUIPanel(this);
--			if ( not this:IsVisible() ) then
--				CloseAuctionHouse();
--			end
--		end
--	elseif ( event == "AUCTION_HOUSE_CLOSED" ) then
--		WS_CloseAllBags();
--		WS_OpenSaveBag();
--
--		HideUIPanel(this);
--	end
--end

function WS_SaveOpenedBag()
	if(WS_BagOpen.KeepOpenedBag == "1") then
		for i=0 , MAX_BAGNUM,1 do
			if(IsBagOpen(i)) then
				OpenedBag[i]="1";
			else
				OpenedBag[i]=nil;
			end
		end
	end
end

function WS_OpenSaveBag()
	if(WS_BagOpen.KeepOpenedBag == "1") then
		for i=0, MAX_BAGNUM , 1 do
			if(OpenedBag[i]) then
				OpenBag(i);
			end
		end
	end
end