UIPanelWindows["wsBuffMasterConfigFrame"] =		{ area = "left",	pushable = 1 };

local default_BuffMaster = { BuffMaster_Enable="1" , 
--				ItemBuff_Enable="1", MoreTargetBuff = "1"
				};

--BUFFMASTER_LABEL_COUNT = 24;
--TB_MAX_TARGET_BUFFS = 16;

--local old_TargetDebuffButton_Update = nil;

function wsBuffMasterConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsBuffMasterConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("BuffMaster")) then
			WS_BuffMaster = wsGetWSVar("BuffMaster");
		else
			WS_BuffMaster = default_BuffMaster;
		end

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Combat",
		wsGetLocaleVariable("WS_BUFFMASTER_TITLE"),
		wsGetLocaleVariable("WS_BUFFMASTER_DESCRIPTION"),
		wsGetLocaleVariable("WS_BUFFMASTER_TOOLTIP"),
		"Interface\\Icons\\Spell_Holy_SealOfValor",
		function()
			ShowUIPanel(wsBuffMasterConfigFrame);
		end
	);
--		if(not WS_BuffMaster.MoreTargetBuff) then
--			WS_BuffMaster.MoreTargetBuff = default_BuffMaster.MoreTargetBuff;
--		end

		if(WS_BuffMaster.BuffMaster_Enable=="1") then
			SHOW_BUFF_DURATIONS = "1"
		else
			SHOW_BUFF_DURATIONS = "1"
		end

		hooksecurefunc("BuffButton_OnUpdate", WS_BuffButton_OnUpdate)

--		ToggleMoreTargetBuff(WS_BuffMaster.MoreTargetBuff);
--		ToggleItemBuff(WS_BuffMaster.ItemBuff_Enable);
	end

--	BuffButtons_UpdatePositions();
end

function wsBuffMasterConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_BUFFMASTER_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_BUFFMASTER_ENABLE_BUFFMASTER"));

--	local checkButton2 = getglobal(this:GetName().."CheckButton2");
--	checkButton2:Show();
--	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
--	checkButton2Text:SetText(wsGetLocaleVariable("WS_BUFFMASTER_SHOW_ITEMBUFF"));

--	local checkButton3 = getglobal(this:GetName().."CheckButton3");
--	checkButton3:Show();
--	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
--	checkButton3Text:SetText(wsGetLocaleVariable("WS_BUFFMASTER_MORETARGETBUFF"));

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
--	local checkButton2 = getglobal(this:GetName().."CheckButton2");
--	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_BuffMaster.BuffMaster_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

--	if (WS_BuffMaster.ItemBuff_Enable == "1") then
--		checkButton2:SetChecked(1);
--	else
--		checkButton2:SetChecked(nil);
--	end

--	if (WS_BuffMaster.MoreTargetBuff == "1") then
--		checkButton3:SetChecked(1);
--	else
--		checkButton3:SetChecked(nil);
--	end
end

function wsBuffMasterConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
--	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
--	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

--	checkButton1:SetChecked(1);
--	checkButton2:SetChecked(1);
--	checkButton3:SetChecked(1);
end

function wsBuffMasterConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
--	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
--	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	if (checkButton1:GetChecked()) then
		WS_BuffMaster.BuffMaster_Enable = "1";
		SHOW_BUFF_DURATIONS = "1"
	else
		WS_BuffMaster.BuffMaster_Enable = "0";
		SHOW_BUFF_DURATIONS = "0"
	end

--	if (checkButton2:GetChecked()) then
--		WS_BuffMaster.ItemBuff_Enable = "1";
--	else
--		WS_BuffMaster.ItemBuff_Enable = "0";
--	end
--
--	if (checkButton3:GetChecked()) then
--		WS_BuffMaster.MoreTargetBuff = "1";
--	else
--		WS_BuffMaster.MoreTargetBuff = "0";
--	end

--	ToggleMoreTargetBuff(WS_BuffMaster.MoreTargetBuff);
--	ToggleItemBuff(WS_BuffMaster.ItemBuff_Enable);

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("BuffMaster", WS_BuffMaster);

--	BuffButtons_UpdatePositions();

end

function WS_BuffButton_OnUpdate()
	local buffDuration = getglobal(this:GetName().."Duration");
	if ( this.untilCancelled == 1 ) then
		buffDuration:SetTextColor(0.0, 1.0, 0.0); 
	  	buffDuration:SetText("N/A");
		buffDuration:Show();
	end
end

function BuffFrame_UpdateDuration(buffButton, timeLeft)
	local duration = getglobal(buffButton:GetName().."Duration");
	if ( SHOW_BUFF_DURATIONS == "1" and timeLeft ) then
		if ( timeLeft < BUFF_DURATION_WARNING_TIME ) then
			duration:SetTextColor(1.0, 0.0, 0.0);
			duration:SetText(BuffMaster_Transfer(timeLeft));
			duration:SetAlpha(buffButton:GetAlpha());
		else
			duration:SetTextColor(0.0, 1.0, 0.0);
			duration:SetText(BuffMaster_Transfer(timeLeft));
		end
--		duration:SetText(SecondsToTimeAbbrev(timeLeft));
--		if ( timeLeft < BUFF_DURATION_WARNING_TIME ) then
--			duration:SetVertexColor(HIGHLIGHT_FONT_COLOR.r, HIGHLIGHT_FONT_COLOR.g, HIGHLIGHT_FONT_COLOR.b);
--		else
--			duration:SetVertexColor(NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b);
--		end
		duration:Show();
	else
		duration:Hide();
	end
end

--function BuffMaster_OnUpdate()
--	for index = 1, BUFFMASTER_LABEL_COUNT, 1 do
--		local buffButton = getglobal("BuffButton"..index);
--		local buffLabel = getglobal("BuffLabel"..index);
--		if ( buffButton:IsVisible() ) then
--			buffLabel:Show();
--			local buffIndex = buffButton.buffIndex;
--			local timeLeft = GetPlayerBuffTimeLeft(buffIndex);
--			if ( timeLeft == 0 ) then
--				buffLabel:SetTextColor(0.0, 1.0, 0.0);
--				buffLabel:SetText("N/A");
--			elseif ( timeLeft < BUFF_WARNING_TIME ) then
--				buffLabel:SetTextColor(1.0, 0.0, 0.0);
--				buffLabel:SetText(BuffMaster_Transfer(timeLeft));
--				buffLabel:SetAlpha(buffButton:GetAlpha());
--			else
--				buffLabel:SetTextColor(0.0, 1.0, 0.0);
--				buffLabel:SetText(BuffMaster_Transfer(timeLeft));
--			end
--		else
--			buffLabel:Hide();
--		end
--	end
--end

--function BuffButtons_UpdatePositions()
--	if ( SHOW_BUFF_DURATIONS == "1" or (WS_BuffMaster and WS_BuffMaster.BuffMaster_Enable and WS_BuffMaster.BuffMaster_Enable == "1")) then
--		getglobal("BuffButton8"):SetPoint("TOP", "TempEnchant1", "BOTTOM", 0, -15);
--		getglobal("BuffButton16"):SetPoint("TOPRIGHT", "TemporaryEnchantFrame", "TOPRIGHT", 0, -90);
--	else
--		getglobal("BuffButton8"):SetPoint("TOP", "TempEnchant1", "BOTTOM", 0, -5);
--		getglobal("BuffButton16"):SetPoint("TOPRIGHT", "TemporaryEnchantFrame", "TOPRIGHT", 0, -70);
--	end
--end

function BuffMaster_Transfer(timeLeft)
	local min,sec;

	min = math.floor(timeLeft/60);
	sec = math.floor(timeLeft - min*60);

	return string.format("%d:%02d", min, sec);
end

--function ToggleMoreTargetBuff(flag)
--	if(flag == "1") then
--		if(not old_TargetDebuffButton_Update) then
--			old_TargetDebuffButton_Update = TargetDebuffButton_Update;
--			TargetDebuffButton_Update = WS_TargetDebuffButton_Update;
--		end
--		getglobal("WS_TargetBuffFrame"):Show();
--	else
--		if(old_TargetDebuffButton_Update) then
--			TargetDebuffButton_Update = old_TargetDebuffButton_Update;
--			old_TargetDebuffButton_Update = nil;
--		end
--		getglobal("WS_TargetBuffFrame"):Hide();	
--	end
--end

--function ToggleItemBuff(flag)
--	if(flag == "1") then
--		if(not old_BuffFrame_Enchant_OnUpdate) then
--			old_BuffFrame_Enchant_OnUpdate = BuffFrame_Enchant_OnUpdate;
--			BuffFrame_Enchant_OnUpdate = WS_BuffFrame_Enchant_OnUpdate;
--		end
--	else
--		if(old_BuffFrame_Enchant_OnUpdate) then
--			BuffFrame_Enchant_OnUpdate = old_BuffFrame_Enchant_OnUpdate;
--			old_BuffFrame_Enchant_OnUpdate = nil;
--		end
--	end
--end