﻿--[[
	Localization.lua
		Translations for Combuctor

	English: Default language
--]]

local L = LibStub("AceLocale-3.0"):NewLocale("Combuctor", "zhCN")
if not L then return end

--these are automatically localized (aka, don't translate them :)
do
	L.All = ALL

	L.Weapon, L.Armor, L.Container, L.Consumable, L.TradeGood, 
	L.Projectile, L.Quiver, L.Recipe, L.Gem, L.Misc, L.Quest = GetAuctionItemClasses()

	L.Trinket = getglobal('INVTYPE_TRINKET')

	L.Devices, L.Explosives = select(10, GetAuctionItemSubClasses(5))

	L.SimpleGem = select(8, GetAuctionItemSubClasses(9))
end

--binding actions
L.ToggleInventory = "切换背包"
L.ToggleBank = "切换银行"

--frame titles
L.InventoryTitle = "%s 的背包"
L.BankTitle = "%s 的银行"

--panel names
L.Normal = '普通'
L.Equipment = '装备'
L.Keys = '钥匙'
L.Trade = '交易'
L.Ammo = '弹药'
L.Shards = '碎片'
L.Usable = '可用'
L.SoulShard = '灵魂碎片' --this is a fallback translation,for cases where a person has never seen a soul shard

--tooltips
L.Bank = '银行'
L.TotalOnRealm = '%s总计: '
L.ClickToPurchase = '<点击>购买'