UIPanelWindows["wsHunterConfigFrame"] = { area = "left",	pushable = 1 };

local default_Hunter={
					QuickFeed_Enable="1",
					Alpha_Enable = "1",
					HunterSkillCounter_Enable = "1",
					AutoShot_Enable = "1", --add
					Skill1 = 150 ,
					Skill2 = 300,
				};

WS_Hunter={};

local lOriginal_Minimap_OnClick_Event = nil;

function wsHunterConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsHunterConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		-- Load WSVar
		if (wsGetWSVar("Hunter")) then
			WS_Hunter = wsGetWSVar("Hunter");
		else
			WS_Hunter = default_Hunter;
		end

		if(not WS_Hunter.TrackPopButton_Enbale) then
			WS_Hunter.TrackPopButton_Enbale = default_Hunter.TrackPopButton_Enbale;
		end
		if(not WS_Hunter.Skill2) then
			WS_Hunter.Skill2 = default_Hunter.Skill2;
		end

		wsToggleQuickFeed(WS_Hunter.QuickFeed_Enable);
		wsToggleAlphaSet(WS_Hunter.Alpha_Enable);
		wsToggleAutoShot(WS_Hunter.AutoShot_Enable);--add

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Class",
		wsGetLocaleVariable("WS_HUNTER_TITLE"),
		wsGetLocaleVariable("WS_HUNTER_DESCRIPTION"),
		wsGetLocaleVariable("WS_HUNTER_TOOLTIP"),
		"Interface\\AddOns\\WSRez\\Hunter",
		function()
			ShowUIPanel(wsHunterConfigFrame);
		end
	);
	end
end

function wsHunterConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_HUNTER_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_HUNTER_ENABLE_QUICKFEED"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_HUNTER_ENABLE_ALPHA"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_HUNTER_CASTBAR"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_HUNTER_AUTOSHOT"));
--add
	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (WS_Hunter.QuickFeed_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (WS_Hunter.Alpha_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (WS_Hunter.HunterSkillCounter_Enable == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	if (WS_Hunter.AutoShot_Enable == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(WS_HUNTER_SPELL[1]);
	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(0, 250);
	slider1:SetValueStep(10);
	slider1:SetValue(WS_Hunter.Skill1);

	local slider2Text = getglobal(this:GetName().."Slider2Text");
	slider2Text:SetText(WS_HUNTER_SPELL[2]);
	local slider2 = getglobal(this:GetName().."Slider2");
	slider2:SetMinMaxValues(0, 600);
	slider2:SetValueStep(10);
	slider2:SetValue(WS_Hunter.Skill2);
end

function wsHunterConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local slider1 = getglobal(parent:GetName().."Slider1");
	local slider2 = getglobal(parent:GetName().."Slider2");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(1);
	checkButton4:SetChecked(1);
	slider1:SetValue(150);
	slider2:SetValue(300);
end

function wsHunterConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local slider1 = getglobal(parent:GetName().."Slider1");
	local slider2 = getglobal(parent:GetName().."Slider2");

	if (checkButton1:GetChecked()) then
		WS_Hunter.QuickFeed_Enable = "1";
	else
		WS_Hunter.QuickFeed_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_Hunter.Alpha_Enable = "1";
	else
		WS_Hunter.Alpha_Enable = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_Hunter.HunterSkillCounter_Enable = "1";
	else
		WS_Hunter.HunterSkillCounter_Enable = "0";
	end


	if (checkButton4:GetChecked()) then
		WS_Hunter.AutoShot_Enable = "1";
	else
		WS_Hunter.AutoShot_Enable = "0";
	end
	
	WS_Hunter.Skill1 = slider1:GetValue();
	WS_Hunter.Skill2 = slider2:GetValue();

	wsToggleQuickFeed(WS_Hunter.QuickFeed_Enable);
	wsToggleAlphaSet(WS_Hunter.Alpha_Enable);
	wsToggleAutoShot(WS_Hunter.AutoShot_Enable);--add

	HideUIPanel(parent);

	-- Save WSVar
	wsSetWSVar("Hunter", WS_Hunter);
end

function wsHunterAutoShotConfigButton_OnClick()
			if 
				ZAutoShotMove:IsVisible() then
				ShowUIPanel(wsConfigFrame);
				ZAutoShotMove:Hide()
				ZAutoShotBar:Hide()
			else
				ShowUIPanel(wsConfigFrame);
				ZAutoShotMove:Show()
				ZAutoShotBar:Show()
				ZAutoShotBar:SetAlpha(1)
			end
end


function wsHunterConfigButton_OnEnter(id)
	if(GetLocale() ~= "zhCN") then
		return;
	end
	if(not id) then
		return;
	end
	local tip = "WS_HUNTER_CONFIGTIP"..id;
	GameTooltip:SetOwner(this, "ANCHOR_TOPLEFT");
	wsFormatConfigTip(wsGetGameLocaleVariable(tip));
	GameTooltip:Show();
end

function wsToggleAutoShot(flag)
end

function lOriginal_Minimap_OnClick_Event()
	local x, y = GetCursorPosition();
	x = x / Minimap:GetEffectiveScale();
	y = y / Minimap:GetEffectiveScale();

	local cx, cy = Minimap:GetCenter();
	x = x + CURSOR_OFFSET_X - cx;
	y = y + CURSOR_OFFSET_Y - cy;
	if ( sqrt(x * x + y * y) < (this:GetWidth() / 2) ) then
		Minimap:PingLocation(x, y);
	end
end