UIPanelWindows["wsItemInfConfigFrame"] = { area = "left",	pushable = 1 };

local default_ItemInf={
				};

WS_ItemInf={};

function wsItemInfConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("ADDON_LOADED");
end

function wsItemInfConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then
		wsRegisterButton(
			WS_CONFIG_SEC_1,
			"Item",
			wsGetLocaleVariable("WS_ITEMINF_TITLE"),
			wsGetLocaleVariable("WS_ITEMINF_DESCRIPTION"),
			wsGetLocaleVariable("WS_ITEMINF_TOOLTIP"),
			"Interface\\Icons\\INV_Misc_Gift_01",
			function()
				ShowUIPanel(wsItemInfConfigFrame);
			end
		);
	elseif(event == "ADDON_LOADED") then
		if(arg1 == "Blizzard_InspectUI") then			
			hooksecurefunc("InspectPaperDollItemSlotButton_OnEnter",WS_InspectPaperDollItemSlotButton_OnEnter);
		end
	end
end

function wsItemInfConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(wsGetLocaleVariable("WS_ITEMINF_TITLE"));
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\QuestFrame\\UI-QuestLog-BookIcon");
--[[
	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(wsGetLocaleVariable("WS_ITEMINF_ENABLE_ITEMPRICE"));

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(wsGetLocaleVariable("WS_ITEMINF_ENABLE_ITEMCOMPARE"));

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(wsGetLocaleVariable("WS_ITEMINF_ENABLE_QUESTITEMCOMPARE"));

	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	checkButton4:Show();
	local checkButton4Text = getglobal(this:GetName().."CheckButton4Text");
	checkButton4Text:SetText(wsGetLocaleVariable("WS_ITEMINF_ENABLE_LINKCOMPARE"));

	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	checkButton5:Show();
	local checkButton5Text = getglobal(this:GetName().."CheckButton5Text");
	checkButton5Text:SetText(wsGetLocaleVariable("WS_ITEMINF_ENABLE_ROLLCOMPARE"));

	local checkButton6 = getglobal(this:GetName().."CheckButton6");
	checkButton6:Show();
	local checkButton6Text = getglobal(this:GetName().."CheckButton6Text");
	checkButton6Text:SetText(wsGetLocaleVariable("WS_ITEMINF_ENABLE_INSPECTCOMPARE"));

	local slider1Text = getglobal(this:GetName().."Slider1Text");
	slider1Text:SetText(wsGetLocaleVariable("WS_ITEMINF_INSPECTCOMPARE_ALPHA"));

	local slider1 = getglobal(this:GetName().."Slider1");
	slider1:SetMinMaxValues(10, 100)
	slider1:SetValueStep(10);
	slider1:SetValue(WS_ItemInf.ItemCompare_Alpha);

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	local checkButton4 = getglobal(this:GetName().."CheckButton4");
	local checkButton5 = getglobal(this:GetName().."CheckButton5");
	local checkButton6 = getglobal(this:GetName().."CheckButton6");

	if (WS_ItemInf.ItemPrice_Enable == "1") then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	if (WS_ItemInf.ItemCompare_Enable == "1") then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	if (WS_ItemInf.QuestItemCompare_Enable == "1") then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end

	if (WS_ItemInf.HyperlinkCompare_Enable == "1") then
		checkButton4:SetChecked(1);
	else
		checkButton4:SetChecked(nil);
	end

	if (WS_ItemInf.RollItemCompare_Enable == "1") then
		checkButton5:SetChecked(1);
	else
		checkButton5:SetChecked(nil);
	end

	if (WS_ItemInf.InspectCompare_Enable == "1") then
		checkButton6:SetChecked(1);
	else
		checkButton6:SetChecked(nil);
	end]]
end

function wsItemInfConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	--[[
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");


	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(1);
	checkButton4:SetChecked(1);
	checkButton5:SetChecked(1);
	checkButton6:SetChecked(1);
]]--
end

function wsItemInfConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	--[[local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");
	local checkButton4 = getglobal(parent:GetName().."CheckButton4");
	local checkButton5 = getglobal(parent:GetName().."CheckButton5");
	local checkButton6 = getglobal(parent:GetName().."CheckButton6");

	if (checkButton1:GetChecked()) then
		WS_ItemInf.ItemPrice_Enable = "1";
	else
		WS_ItemInf.ItemPrice_Enable = "0";
	end

	if (checkButton2:GetChecked()) then
		WS_ItemInf.ItemCompare_Enable = "1";
	else
		WS_ItemInf.ItemCompare_Enable = "0";
	end

	if (checkButton3:GetChecked()) then
		WS_ItemInf.QuestItemCompare_Enable = "1";
	else
		WS_ItemInf.QuestItemCompare_Enable = "0";
	end

	if (checkButton4:GetChecked()) then
		WS_ItemInf.HyperlinkCompare_Enable = "1";
	else
		WS_ItemInf.HyperlinkCompare_Enable = "0";
	end

	if (checkButton5:GetChecked()) then
		WS_ItemInf.RollItemCompare_Enable = "1";
	else
		WS_ItemInf.RollItemCompare_Enable = "0";
	end

	if (checkButton6:GetChecked()) then
		WS_ItemInf.InspectCompare_Enable = "1";
	else
		WS_ItemInf.InspectCompare_Enable = "0";
	end

	HideUIPanel(parent);]]

end

function wsItemInfConfigButton_OnEnter(id)
	if(GetLocale() ~= "zhCN") then
		return;
	end
	if(not id) then
		return;
	end
	local tip = "WS_ITEMINF_CONFIGTIP"..id;
	GameTooltip:SetOwner(this, "ANCHOR_TOPLEFT");
	wsFormatConfigTip(wsGetGameLocaleVariable(tip));
	GameTooltip:Show();
end