PartyCast_SpellInf = {
				};

MAX_PARTYCASTFRAME = 4;
MAX_PARTYSPELL = 8;

local wsRealmName;
local wsPlayerName;

function PartyCast_OnLoad()
--	this:RegisterEvent("SPELLS_CHANGED");
	this:RegisterEvent("VARIABLES_LOADED");
--	this:RegisterEvent("CURSOR_UPDATE");
	this:RegisterEvent("ACTIONBAR_SHOWGRID");
	this:RegisterEvent("ACTIONBAR_HIDEGRID");
end

function PartyCast_OnEvent(event)
	if(event == "ACTIONBAR_SHOWGRID") then
		for i = 1 , MAX_PARTYSPELL , 1 do
--			if(not PartyCast_SpellInf[i] or not PartyCast_SpellInf[i]) then
				for frameID = 1 , MAX_PARTYCASTFRAME , 1 do
					local button = getglobal("PartyCastFrame"..frameID.."Button"..i);
					button:Show();
				end
--			end
		end
		return;
	end

--	if(event == "CURSOR_UPDATE") then
--		CursorAction = {};
--	end

	if(event == "ACTIONBAR_HIDEGRID") then
		if(not WS_PartyCast or WS_PartyCast.Hide_Empty ~= "1") then
			return;
		end
		for i = 1 , MAX_PARTYSPELL , 1 do
			if(not PartyCast_SpellInf or not PartyCast_SpellInf[i] or PartyCast_SpellInf[i] == {}) then
				for frameID = 1 , MAX_PARTYCASTFRAME , 1 do
					local button = getglobal("PartyCastFrame"..frameID.."Button"..i);
					button:Hide();
				end
			end
		end
		return;
	end

	if (event == "VARIABLES_LOADED") then	

		if(wsGetWSVar("PartyCast_Save")) then
			PartyCast_Save=wsGetWSVar("PartyCast_Save");
		else
			PartyCast_Save={};
		end
		wsRealmName = GetCVar("RealmName"); 
		wsPlayerName = UnitName("player");
	
		if (PartyCast_Save == nil) then
			PartyCast_Save = {};
		end
			
		if (PartyCast_Save[wsRealmName] == nil) then
			PartyCast_Save[wsRealmName] = {}
		end
	
		if (PartyCast_Save[wsRealmName][wsPlayerName] == nil) then
			PartyCast_Save[wsRealmName][wsPlayerName] = {}
		end
	
		PartyCast_SpellInf = PartyCast_Save[wsRealmName][wsPlayerName];
		
		if(PartyCast_SpellInf and PartyCast_SpellInf ~= {}) then
			for i = 1 , MAX_PARTYSPELL , 1 do
				if (PartyCast_SpellInf[i] and PartyCast_SpellInf[i].Texture and PartyCast_SpellInf[i].Name) then
					for frameId = 1 ,  MAX_PARTYCASTFRAME , 1 do
						local button = getglobal("PartyCastFrame"..frameId.."Button"..i);
						SetItemButtonTexture(button, PartyCast_SpellInf[i].Texture);
						local targetUnit = "party"..frameId;

						button:SetAttribute("type", "spell")
						if(PartyCast_SpellInf[i].Rank and PartyCast_SpellInf[i].Rank ~= "") then
							button:SetAttribute("spell", PartyCast_SpellInf[i].Name.."("..PartyCast_SpellInf[i].Rank..")")
						else
							button:SetAttribute("spell", PartyCast_SpellInf[i].Name)
						end
--						button:SetAttribute("unit", "party"..frameId)
						button:SetAttribute("unit", targetUnit)
					end
				end
			end
		end

		for i = 1 , MAX_PARTYSPELL , 1 do
--			if(not PartyCast_SpellInf[i] or not PartyCast_SpellInf[i]) then
				for frameID = 1 , MAX_PARTYCASTFRAME , 1 do
					local button = getglobal("PartyCastFrame"..frameID.."Button"..i);
					button:Show();
				end
--			end
		end

--		TogglePartyCast(WS_PartyCast.PartyCast_Enable);
--		ToggleHideEmpty(WS_PartyCast.Hide_Empty);
		
		if(TogglePartyStatus and WS_PartyInf and WS_PartyInf.PartyInf_Status_Mod1 and WS_PartyInf.PartyInf_Status_Mod2) then
			TogglePartyStatus(WS_PartyInf.PartyInf_Status_Mod1 , WS_PartyInf.PartyInf_Status_Mod2);
		end

		return;
	end
end

function PartyCastFrame_OnEvent(event)
	if(event == "UNIT_AURA") then
		if(WS_PartyCast.Hide_Buff ~= "1") then
			return;
		end
		if("party"..this:GetID() == arg1) then
			PartyCast_UpdateBuff(this:GetID());
		end
		return;
	end
end

function PartyCastButton_OnEnter(id)
	GameTooltip:SetOwner(this, "ANCHOR_RIGHT");

	if (PartyCast_SpellInf[id] ~= nil and PartyCast_SpellInf[id].Name) then
		GameTooltip:SetText(wsGetGameLocaleVariable("PARTYCAST_BUTTON_TITLE")..id);				
		GameTooltip:AddDoubleLine(PartyCast_SpellInf[id].Name, PartyCast_SpellInf[id].Rank, 1, 1, 1,  1,1,1);
	else
		GameTooltip:SetText(wsGetGameLocaleVariable("PARTYCAST_BUTTON_TITLE")..id);	
		GameTooltip:AddLine(wsGetGameLocaleVariable("PARTYCAST_NOSPELL"), 1, 1, 1);
	end

	GameTooltip:Show();
end

function PartyCastButton_OnLeave()
	GameTooltip:Hide();
end

function PartyCastButton_PreClick(id)
	if(GetCursorInfo() and GetCursorInfo() == "spell") then
		local _,slot = GetCursorInfo();
		PartyCast_SpellInf[id] = {};
		PartyCast_SpellInf[id].Name,PartyCast_SpellInf[id].Rank = GetSpellName(slot,BOOKTYPE_SPELL);
		PartyCast_SpellInf[id].Texture = GetSpellTexture(slot,BOOKTYPE_SPELL);
--		local spellID = WS_GetSpellIDByName(PartyCast_SpellInf[id].Name , PartyCast_SpellInf[id].Rank);
--		if(spellID) then
--			PartyCast_SpellInf[id].Texture = GetSpellTexture(spellID, SpellBookFrame.bookType);
--		else
--			PartyCast_SpellInf[id].Texture = nil;
--		end

--		PartyCast_SpellInf[id].ID = CursorAction.ID;

		for i = 1 ,  MAX_PARTYCASTFRAME , 1 do
			local button = getglobal("PartyCastFrame"..i.."Button"..id);
			SetItemButtonTexture(button, PartyCast_SpellInf[id].Texture);
			local targetUnit = "party"..i;

			local partyId = this:GetParent():GetID();
			button:SetAttribute("type", "spell")
			if(PartyCast_SpellInf[id].Rank and PartyCast_SpellInf[id].Rank ~= "") then
				button:SetAttribute("spell", PartyCast_SpellInf[id].Name.."("..PartyCast_SpellInf[id].Rank..")")
			else
				button:SetAttribute("spell", PartyCast_SpellInf[id].Name)
			end
			--button:SetAttribute("unit", "party"..i)
			button:SetAttribute("unit", targetUnit)
		end

		ClearCursor();
--	elseif(PartyCast_SpellInf[id] and PartyCast_SpellInf[id].Name and PartyCast_SpellInf[id].Rank) then
--		PartyCast_SpellInf[id].ID = WS_GetSpellIDByName(PartyCast_SpellInf[id].Name , PartyCast_SpellInf[id].Rank);
--		if(PartyCast_SpellInf[id].ID) then
--			if(IsAltKeyDown()) then
--				if ( UnitIsConnected("party"..id) and UnitExists("partypet"..id) ) then
--					local unit = UnitName("target");
--					local isEnemy = nil;
--					if(UnitCanAttack("player", "target")) then
--						isEnemy = 1;
--					else
--						isEnemy = nil;
--					end
--					local parent = this:GetParent();
--					TargetUnit("partypet"..parent:GetID());
--					CastSpell(PartyCast_SpellInf[id].ID, SpellBookFrame.bookType);
--					if(SpellIsTargeting()) then
--						SpellTargetUnit("partypet"..parent:GetID());
--					end
--					if(isEnemy) then
--						TargetLastEnemy();
--					else
--						if(unit) then
--							TargetByName(unit);
--						else
--							ClearTarget();
--						end		
--					end					
--				end
--				return;
--			end
--
--			local unit = UnitName("target");
--			local isEnemy = nil;
--			if(UnitCanAttack("player", "target")) then
--				isEnemy = 1;
--			else
--				isEnemy = nil;
--			end
--			local parent = this:GetParent();
--			TargetUnit("party"..parent:GetID());
--			CastSpell(PartyCast_SpellInf[id].ID, SpellBookFrame.bookType);
--			if(SpellIsTargeting()) then
--				SpellTargetUnit("party"..parent:GetID());
--			end
--			if(isEnemy) then
--				TargetLastEnemy();
--			else
--				if(unit) then
--					TargetByName(unit);
--				else
--					ClearTarget();
--				end		
--			end
--		end
	end
	PartyCast_Save[wsRealmName][wsPlayerName] = PartyCast_SpellInf;
	wsSetWSVar("PartyCast_Save",PartyCast_Save);
end

function PartyCastButton_OnDragStart(id)
	if(WS_PartyCast and WS_PartyCast.Lock and WS_PartyCast.Lock == "1") then
		return;
	end

	PartyCast_SpellInf[id] = nil;
	for i = 1 ,  MAX_PARTYCASTFRAME , 1 do
		local button = getglobal("PartyCastFrame"..i.."Button"..id);
		SetItemButtonTexture(button, nil);
	end
	PartyCast_Save[wsRealmName][wsPlayerName] = PartyCast_SpellInf;
	wsSetWSVar("PartyCast_Save",PartyCast_Save);
	ToggleHideEmpty(WS_PartyCast.Hide_Empty);
end

function PartyCast_UpdateBuff(id)
	for spellID = 1 , MAX_PARTYSPELL do
		local button = getglobal("PartyCastFrame"..id.."Button"..spellID);
		button:SetAlpha(1);	
	end
	for i=1, MAX_PARTY_TOOLTIP_BUFFS do
		if(UnitBuff("party"..id, i)) then
			local name, rank, icon, count, duration, timeLeft = UnitBuff("party"..id, i);
			local buff = name.."";
			if(duration) then
				for spellID = 1 , MAX_PARTYSPELL do
					if(PartyCast_SpellInf[spellID] and PartyCast_SpellInf[spellID].Name and PartyCast_SpellInf[spellID].Name == buff) then
						local button = getglobal("PartyCastFrame"..id.."Button"..spellID);
						button:SetAlpha(0.1);		
					end
				end
			end
		end
	end
end

function TogglePartyCast(flag)
	if(flag ~= "0") then
		for i = 1 , MAX_PARTYCASTFRAME , 1 do
			getglobal("PartyCastFrame"..i):Show();
		end
		if(WS_PartyInf and WS_PartyInf.PartyInf_Status_Mod1 and WS_PartyInf.PartyInf_Status_Mod1 == "1") then
			for frameId =1 , MAX_PARTYCASTFRAME do
				getglobal("PartyCastFrame"..frameId):SetPoint("LEFT" , "PartyMemberFrame"..frameId , "RIGHT" , 60 , 6);
			end
		elseif(WS_PartyInf and WS_PartyInf.PartyInf_Status_Mod2 and WS_PartyInf.PartyInf_Status_Mod2 == "1") then
			for frameId =1 , MAX_PARTYCASTFRAME do
				getglobal("PartyCastFrame"..frameId):SetPoint("LEFT" , "PartyMemberFrame"..frameId , "RIGHT" , -6 , 6);
			end
		end
	else
		for i = 1 , MAX_PARTYCASTFRAME , 1 do
			getglobal("PartyCastFrame"..i):Hide();
		end
	end
end

function ToggleHideEmpty(flag)
	if(flag == "1") then
		for i = 1 , MAX_PARTYSPELL , 1 do
			if(not PartyCast_SpellInf or not PartyCast_SpellInf[i] or PartyCast_SpellInf[i] == {}) then
				for frameID = 1 , MAX_PARTYCASTFRAME , 1 do
					local button = getglobal("PartyCastFrame"..frameID.."Button"..i);
					button:Hide();
				end
			end
		end
	elseif(flag == "0") then
		for i = 1 , MAX_PARTYSPELL , 1 do
--			if(not PartyCast_SpellInf[i] or not PartyCast_SpellInf[i]) then
				for frameID = 1 , MAX_PARTYCASTFRAME , 1 do
					local button = getglobal("PartyCastFrame"..frameID.."Button"..i);
					button:Show();
				end
--			end
		end
	end
end

function ToggleHideBuff(flag)
	if(flag ~= "1") then
		for id = 1 , MAX_PARTYCASTFRAME do
			for spellID = 1 , MAX_PARTYSPELL do
				local button = getglobal("PartyCastFrame"..id.."Button"..spellID);
				button:SetAlpha(1);	
			end
		end
	end
end

--function WS_Cast_AddPartner()
--	getglobal("PartyCastText"):Insert("%1$s");
--end

--function WS_PartyCast_AddSpell()
--	getglobal("PartyCastText"):Insert("%2$s");
--end

--function wsPastyCastNoticeSpellConfig_OnShow()
--	UIDropDownMenu_Initialize(this, wsPastyCastNoticeSpellConfig_Initialize);
--	UIDropDownMenu_SetWidth(100, wsPastyCastNoticeSpellConfig);
--end

--function wsPastyCastNoticeSpellConfig_Initialize()
--	local info;
--	local name;
--	for i =1 , MAX_PARTYSPELL , 1 do
--		info = {};
--		info.text = wsGetLocaleVariable("WS_PARTYCAST_TITLE")..i ;
--		info.func = wsPastyCastNoticeSpellConfig_OnClick;
--		UIDropDownMenu_AddButton(info);
--	end
--end

--function wsPastyCastNoticeSpellConfig_OnClick()
--	if(PC_CurSpellCast) then
--		if(not PartyCast_SpellInf) then
--			PartyCast_SpellInf = {};
--		end
--		if( not PartyCast_SpellInf[PC_CurSpellCast]) then
--			PartyCast_SpellInf[PC_CurSpellCast] = {};
--		end
--		PartyCast_SpellInf[PC_CurSpellCast].notice = getglobal("PartyCastText"):GetText();
--		PC_CurSpellCast = this:GetID();
--	else
--		PC_CurSpellCast = this:GetID();
--	end
--	UIDropDownMenu_SetSelectedValue(wsPastyCastNoticeSpellConfig, this.value);
--	if(PartyCast_SpellInf and PartyCast_SpellInf[PC_CurSpellCast] and PartyCast_SpellInf[PC_CurSpellCast].notice) then
--		getglobal("PartyCastText"):SetText(PartyCast_SpellInf[PC_CurSpellCast].notice);
--	else 
--		getglobal("PartyCastText"):SetText("");
--	end
--	PartyCast_Save[wsRealmName][wsPlayerName] = PartyCast_SpellInf;
--	wsSetWSVar("PartyCast_Save",PartyCast_Save);
--end