﻿SAS_VERSION = GetAddOnMetadata("SimpleActionSets","Version");
SAS_TITLE = "Simple Action Sets "..SAS_VERSION;

SAS_OPTIONS_TITLE="SAS 选项";
SAS_OPTIONS_CLOSE="关闭";
SAS_OPTIONS_BUTPOS="小地图按钮位置";
SAS_OPTIONS_OFFSET="偏移位置";

SAS_TEXT_CURRENT = "已调用动作条";
SAS_TEXT_SAVEDSETS = "保存的动作条配置";
SAS_TEXT_DELETE = "删除配置";
SAS_TEXT_SAVE = "保存配置";
SAS_TEXT_SAVEAS = "保存配置为";
SAS_TEXT_LOADCURRENT = "调用当前动作条配置";
SAS_TEXT_SWAPSET = "应用配置";
SAS_TEXT_CLEARSET = "清除当前配置";
SAS_TEXT_LOADSET = "调用配置";

SAS_TEXT_CB_ALLBARS = "切换所有动作条"

SAS_TEXT_TAB_SETS = "动作条设置";
SAS_TEXT_TAB_OPTIONS = "选项";
SAS_TEXT_TAB_HELP = "帮助";

SAS_TEXT_WARNING_UNSAVED_LOAD = "修改之后没有保存, 确认调用并覆盖吗？";
SAS_TEXT_WARNING_UNSAVED_CANCEL = "更改之后没有保存, 确认放弃这些更改并关闭窗口吗?";
SAS_TEXT_WARNING_DELETE = "即将删除配置 '|cffffffff%s|r'.\n确认删除吗?";
SAS_TEXT_WARNING_SAVE = "即将保存修改到配置 '|cffffffff%s|r'";
SAS_TEXT_WARNING_SWAPPING = "即将应用到当前动作条, 确定吗？";
SAS_TEXT_WARNING_SWAPPINGSAVE = "即将保存配置 '|cffffffff%s|r' 并应用到当前动作条, 确定吗?";
SAS_TEXT_WARNING_CHANGEDSINCELAST = "动作条配置不符合上次在线配置.  要重新设置吗？";
SAS_TEXT_WARNING_OKAY = "确定";
SAS_TEXT_WARNING_CANCEL = "取消";

SAS_TEXT_OPTIONS_MINIMAP_SHOW = "显示小地图按钮";
SAS_TEXT_OPTIONS_MINIMAP_DRAG = "锁定小地图按钮";
SAS_TEXT_OPTIONS_GENERAL_WARNINGS = "显示警告窗口";
SAS_TEXT_OPTIONS_GENERAL_WARNINGS_TOOLTIP = "保存或删除配置时弹出警告窗口."
SAS_TEXT_OPTIONS_GENERAL_EMPTYBARS = "不应用空白动作条";
SAS_TEXT_OPTIONS_GENERAL_EMPTYBARS_TOOLTIP = "在配置中自动禁止空白动作条应用.";
SAS_TEXT_OPTIONS_GENERAL_EMPTYBUTTONS = "不应用空白动作条按键";
SAS_TEXT_OPTIONS_GENERAL_EMPTYBUTTONS_TOOLTIP = "在配置中自动禁止空白动作条按键应用.";
SAS_TEXT_OPTIONS_GENERAL_FAKEITEMTOOLTIPS = "SAS生成的动作条显示鼠标提示";
SAS_TEXT_OPTIONS_GENERAL_FAKEITEMTOOLTIPS_TOOLTIP = "在SAS生成的系统动作条空物品动作按钮上显示额外的提示信息.";
SAS_TEXT_OPTIONS_GENERAL_AUTORESTORE = "自动恢复动作条";
SAS_TEXT_OPTIONS_GENERAL_AUTORESTORE_TOOLTIP = "自动恢复动作条技能到上次在线状态. (适合于多人或不同计算机使用一个帐号)";
SAS_TEXT_OPTIONS_GENERAL_AUTORESTOREWARN = "自动恢复时警告"
SAS_TEXT_OPTIONS_GENERAL_AUTORESTOREWARN_TOOLTIP = "恢复动作条时弹出警告窗口.";

SAS_TEXT_HELP_HEADER = "Simple Action Sets帮助";
SAS_TEXT_HELP_INTRO = "This will eventually be the help file for this addon."
SAS_TEXT_HELP_TEXT = "动作条配置控制 -\n 动作条配置组\n  Left click or drag to pick up the action.\n  Left click or drop on another action to move the action.\n  Drag or right click the off the Simple Action Sets frame to delete it.\n  Hold down shift and click to copy an action.\n  Hold down control and click to delete an action.\n  Right click to delete an action or change the empty action behavior.\n\n Action Set Bars\n  Left click or drag the bar id button to pick up the action bar.\n  Left click or drop on a bar id button to swap action bars.\n  Hold down shift and left click to copy an action bar.\n  Hold down control and left click to delete an action bar.\n  Right click to change all empty buttons empty action behavior.\n\n Action Set Bar Check Buttons\n  Disabling an action bar with the check button will tell the system not to apply this entire bar when applying actions sets.\n\nAdditional information -\n Any bar that is unchecked or empty will not be swapped. If a bar has actions, but some actions are empty, those actions will be cleared. You can alter this behavior from the options tab.\n Items you have will show up with a green border (like the one shown on the action bars when you have an item equipped).  If you do not have the item, the button will show up dimed with a red border.\n \n Swapping a large number of actions is SLOW and will cause a hitch.  The fewer number of actions swapped different from those already on the game's action bars the faster it'll be.  Turning off as many action bars in the set as possible will also increase the speed of the swap.\n \n Actions sets can be swapped either from the Simple Action Sets' Action Sets menu, or by right clicking on the SAS minimap button and selecting the set there.  It can also be put in to a macro by calling the set with /sas swap setname.\n";

SAS_TEXT_BARS_0 = "主动作条";
SAS_TEXT_BARS_1 = "主动作条页2";
SAS_TEXT_BARS_2 = "主动作条页3\n右边动作条";
SAS_TEXT_BARS_3 = "主动作条页4\n右边动作条 2";
SAS_TEXT_BARS_4 = "主动作条页5\n右下动作条";
SAS_TEXT_BARS_5 = "主动作条页6\n左下动作条";
SAS_TEXT_BARS_6 = "战斗姿态\n德鲁伊猎豹形态\n潜行者潜行形态";
SAS_TEXT_BARS_7 = "防御姿态";
SAS_TEXT_BARS_8 = "狂暴姿态\n德鲁伊熊形态Druid Bear";
SAS_TEXT_BARS_9 = "未使用";

SAS_TEXT_SAVING = "正在保存配置 ";
SAS_TEXT_DELETING = "正在删除配置 ";

SAS_TEXT_CONSOLE_HELP = SAS_TITLE.."\nValid console commands -\n|iswap setname|r - swaps to a specified set name if it exists.\n|isave setname|r - saves your current actions to a specified set name.\n|ishow|r or nothing - shows the SAS options frame."
SAS_TEXT_CONSOLE_NOVALID = "找到无效的配置名 '%s'.";

SAS_TEXT_DROPDOWN_TITLE = "选项";
SAS_TEXT_DROPDOWN_OPEN = "打开设置窗口"
SAS_TEXT_DROPDOWN_SAVENEW = "保存新配置";
SAS_TEXT_DROPDOWN_SAVECURRENT = "保存当前配置";
SAS_TEXT_DROPDOWN_SETS = "应用动作条配置";
SAS_TEXT_DROPDOWN_NONE = "无配置";

SAS_TEXT_TOOLTIP_NOMACRO = "无法找到宏.";
SAS_TEXT_TOOLTIP_NOTHAVE = "无法找到物品.";
SAS_TEXT_TOOLTIP_NOTVALID = "无法找到物品, 无法鼠标提示.";
SAS_TEXT_TOOLTIP_NOSPELL = "无法找到技能.";
SAS_TEXT_TOOLTIP_NOSPELLRANK = "无法找到技能 %r . 将使用最高级别.";
SAS_TEXT_TOOLTIP_FAKEACTIONWARN = "|c00ff0000Picking up or replacing this action will remove it from the action button.";
SAS_TEXT_TOOLTIP_GENERATEDACTION = "该动作条由<|cff40E0D0SAS|r>创建.";
SAS_TEXT_TOOLTIP_FORCECLEAR = "强制清除动作条";
SAS_TEXT_TOOLTIP_FORCECLEAR_TIP = "动作条组将被清除.";
SAS_TEXT_TOOLTIP_FORCENOAPPLY = "强制不更改";
SAS_TEXT_TOOLTIP_FORCENOAPPLY_TIP = "动作条组没有改变.";



----------------------
-- Titan Panel text --
----------------------

SAS_TITAN_ID = "SAS";
SAS_TITAN_LABEL = "当前配置: ";
SAS_TITAN_NA = "n/a";
SAS_TITAN_HINT = "提示: 点击鼠标左键打开设置窗口."