--	TargetInf ĿϢ: ĿϢ
--		汾1.20
--		ʱ䣺200531
--		ߣcuhy
--
--	- ʾߵȼĿ(ͷ)ĵȼ
--	- ʾĿHPֵٷֱ
--	- HPٷֱȸıHPɫ
--      -ݾԶı似ͼɫ

-- Hook Functions
--local originalTargetFrame_CheckLevel = nil;
local originalTargetFrame_HealthUpdate = nil;
local originalPlayerFrame_OnUpdate = nil;
local originalPetFrame_OnUpdate = nil;

local originalActionButton_UpdateUsable = nil;
local originalActionButton_OnUpdate = nil;

--function wsToggleShowHighLevel(flag)
--	if ( flag == "1" ) then
--		if ( not originalTargetFrame_CheckLevel ) then
--			originalTargetFrame_CheckLevel = TargetFrame_CheckLevel ;
--			TargetFrame_CheckLevel  = WS_TargetFrame_CheckLevel ;
--		end
--	else
--		if ( originalTargetFrame_CheckLevel ) then
--			TargetFrame_CheckLevel = originalTargetFrame_CheckLevel;
--			originalTargetFrame_CheckLevel = nil;
--		end
--	end
--end

function wsToggleTextureAlarm(flag)
	if(flag == "1") then
		if(not originalActionButton_UpdateUsable) then
			originalActionButton_UpdateUsable = ActionButton_UpdateUsable;
			ActionButton_UpdateUsable = WS_ActionButton_UpdateUsable;
			originalActionButton_OnUpdate = ActionButton_OnUpdate;
			ActionButton_OnUpdate = WS_ActionButton_OnUpdate;
		end
	else
		if(originalActionButton_UpdateUsable) then
			ActionButton_UpdateUsable = originalActionButton_UpdateUsable;
			originalActionButton_UpdateUsable = nil;
			ActionButton_OnUpdate = originalActionButton_OnUpdate;	
			originalActionButton_OnUpdate = nil;
		end
	end
end

function wsToggleHPColor(flag)
	if ( flag == "1" ) then
		if ( not originalTargetFrame_HealthUpdate ) then
			originalTargetFrame_HealthUpdate = TargetFrame_HealthUpdate ;
			TargetFrame_HealthUpdate  = WS_TargetFrame_HealthUpdate ;

			originalPlayerFrame_OnUpdate = PlayerFrame_OnUpdate ;
			PlayerFrame_OnUpdate  = WS_PlayerFrame_OnUpdate ;

			originalPetFrame_OnUpdate = PetFrame_OnUpdate ;
			PetFrame_OnUpdate  = WS_PetFrame_OnUpdate ;
		end
	else
		if ( originalTargetFrame_HealthUpdate ) then
			TargetFrame_HealthUpdate = originalTargetFrame_HealthUpdate;
			originalTargetFrame_HealthUpdate = nil;

			PlayerFrame_OnUpdate = originalPlayerFrame_OnUpdate;
			originalPlayerFrame_OnUpdate = nil;

			PetFrame_OnUpdate = originalPetFrame_OnUpdate;
			originalPetFrame_OnUpdate = nil;
		end
	end
end

--function WS_TargetFrame_CheckLevel()
--	local playerLevel = UnitLevel("player");
--	local targetLevel = UnitLevel("target");
--	if ( UnitIsPlusMob("target") ) then
	--	TargetLevelText:SetText(targetLevel.."+");
--		TargetLevelText:SetText(targetLevel);
--	elseif ( targetLevel == 0 ) then
--		TargetLevelText:SetText("");
--	else
--		TargetLevelText:SetText(targetLevel);
--	end
	-- Color level number
--	local color = GetDifficultyColor(targetLevel);
--	TargetLevelText:SetVertexColor(color.r, color.g, color.b);
--
--	TargetLevelText:Show();
--	TargetHighLevelTexture:Hide();
--end

function WS_TargetFrame_HealthUpdate(elapsed)
	originalTargetFrame_HealthUpdate(elapsed);

	local Hp = UnitHealth("target");
	local MaxHp = UnitHealthMax("target");
	local curHp = math.floor(100*Hp/MaxHp);
	if(WS_TargetInf.ShowMobHPPercent == "1") then
		wsTempHPPercent = wsTempHPPercent or curHp;
		if(wsTempHPPercent ~= curHp) then
			wsTempHPPercent = curHp;
			if(wsTempHPPercent ~= 0) then
				TargetHPButton:SetText(curHp.." %");
			else
				TargetHPButton:SetText("");
			end
		end
	elseif(WS_TargetInf.ShowMobHP == "1") then
		if(UnitIsFriend("player", "target") and UnitHealthMax("target") and UnitHealthMax("target") > 100 and UnitHealth("target") > 0) then
			text = UnitHealth("target").."/"..UnitHealthMax("target");
			TargetHPButton:SetText(text);
		end
	end

	if(curHp >= 50 and curHp <= 100) then
		local r = (1-(curHp-50)/50);
		if(r>=0 and r <= 1) then
			TargetFrameHealthBar:SetStatusBarColor(r,1,0);
		end
	elseif(curHp >= 0) then
		TargetFrameHealthBar:SetStatusBarColor(1,curHp/50,0);
	end
end

function WS_PlayerFrame_OnUpdate(elapsed)
	local HPPercent = UnitHealth("player")/UnitHealthMax("player");
	if(HPPercent >= 0.5 and HPPercent <= 1) then
		local r = 1-(HPPercent-0.5)*2;
		if(r>=0 and r <= 1) then
			PlayerFrameHealthBar:SetStatusBarColor(r,1,0);
		end
	elseif(HPPercent >= 0) then
		PlayerFrameHealthBar:SetStatusBarColor(1,HPPercent*2,0);
	end
	originalPlayerFrame_OnUpdate(elapsed);
end

function WS_PetFrame_OnUpdate(elapsed)
	local HPPercent = UnitHealth("pet")/UnitHealthMax("pet");
	if(HPPercent >= 0.5 and HPPercent <= 1) then
		local r = 1-(HPPercent-0.5)*2;
		if(r>=0 and r <= 1) then
			PetFrameHealthBar:SetStatusBarColor(r,1,0);
		end
	elseif(HPPercent >= 0) then
		PetFrameHealthBar:SetStatusBarColor(1,HPPercent*2,0);
	end
	originalPetFrame_OnUpdate(elapsed);
end

function WS_ActionButton_UpdateUsable()
	originalActionButton_UpdateUsable();
	local icon = getglobal(this:GetName().."Icon");
	if ( IsActionInRange( ActionButton_GetPagedID(this)) == 0 ) then
		icon:SetVertexColor(1.0, 0.1, 0.1);
	end
end

function WS_ActionButton_OnUpdate(elapsed)
	originalActionButton_OnUpdate(elapsed);
	WS_ActionButton_UpdateUsable();
end