

function SoulShardsCounter_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
--	this:RegisterEvent("PLAYER_ENTERING_WORLD");
	this:RegisterEvent("BAG_UPDATE");
end

function SoulShardsCounter_OnEvent(event)
	if(event ==  "VARIABLES_LOADED") then
		if (UnitClass("player") == wsGetGameLocaleVariable("WS_WARLOCK_CLASSNAME") and WS_Warlock.SoulShardsCounter_Enable == "1") then
			getglobal("BagTotalStatusFrameIcon"):SetTexture("Interface\\AddOns\\WSRez\\WSBagStatusIcon-SoulShards");
			getglobal("SoulShardsCounter"):Show();
		end
		return;
	end
	if(event == "BAG_UPDATE" and WS_Warlock.SoulShardsCounter_Enable == "1") then
		local count = WS_CountContainerItemByName(wsGetGameLocaleVariable("WS_WARLOCK_SOULSHARDS"));
		if(count) then
			getglobal(this:GetName().."Text"):SetText(count);
		end
		return;
	end
end

function wsToggleSoulShardsCounter(flag)
	if(flag == "1" and UnitClass("player") == wsGetGameLocaleVariable("WS_WARLOCK_CLASSNAME")) then
		getglobal("BagTotalStatusFrameIcon"):SetTexture("Interface\\AddOns\\WSRez\\WSBagStatusIcon-SoulShards");
		getglobal("SoulShardsCounter"):Show();
	else
		getglobal("BagTotalStatusFrameIcon"):SetTexture("Interface\\AddOns\\WSRez\\WSBagStatusIcon");
		getglobal("SoulShardsCounter"):Hide();		
	end
end