function InstaBolt_OnLoad()

	IB_NF_Sound = false
	IB_NF_Texture = false
	IB_BL_Sound = false
	IB_BL_Texture = false
	IB_Shard = false
	IB_CT_Sound = false
	PlayerName = UnitName("player");
	DEFAULT_CHAT_FRAME:AddMessage(playerName, info.r, info.g, info.b);
	InstaBolt_MainFrameFlash1:SetAlpha(0);
	InstaBolt_MainFrameFlash1Texture:SetVertexColor(0, 1, 0.8);
	IB_C1_Red,IB_C1_Green,IB_C1_Blue,IB_C1_Alpha = InstaBolt_MainFrameFlash1Texture:GetVertexColor();
	InstaBolt_MainFrameFlash2:SetAlpha(0);
	InstaBolt_MainFrameFlash2Texture:SetVertexColor(0, 1, 0.8);
	IB_C2_Red,IB_C2_Green,IB_C2_Blue,IB_C2_Alpha= InstaBolt_MainFrameFlash2Texture:GetVertexColor();
	InstaBolt_MainFrameFlash3:SetAlpha(0);
	InstaBolt_MainFrameFlash3Texture:SetVertexColor(1, 0, 0.8);
	IB_C3_Red,IB_C3_Green,IB_C3_Blue,IB_C3_Alpha = InstaBolt_MainFrameFlash3Texture:GetVertexColor();


	InstaBoltOptionsTitle:SetText(InstaBolt_String_Version)
	InstaBoltOptionsCheckButton1Text:SetText(InstaBolt_String_CB1);
	InstaBoltOptionsCheckButton2Text:SetText(InstaBolt_String_CB2);
	InstaBoltOptionsCheckButton3Text:SetText(InstaBolt_String_CB3);
	InstaBoltOptionsCheckButton4Text:SetText(InstaBolt_String_CB4);
	InstaBoltOptionsCheckButton5Text:SetText(InstaBolt_String_CB5);
	InstaBoltOptionsCheckButton6Text:SetText(InstaBolt_String_CB6);
	InstaBoltOptionsButton1:SetText(InstaBolt_String_B1);
	InstaBoltOptionsButton2:SetText(InstaBolt_String_B2);

	SlashCmdList["InstaBoltCommand"] = InstaBolt_SlashHandler;
	SLASH_InstaBoltCommand1 = "/ib";	
	
	--DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_Version..": Loaded");
end

function InstaBolt_OnShow()
	InstaBoltOptionsCheckButton1:SetChecked(IB_NF_Sound);
	InstaBoltOptionsCheckButton2:SetChecked(IB_NF_Texture);
	InstaBoltOptionsCheckButton3:SetChecked(IB_BL_Sound);
	InstaBoltOptionsCheckButton4:SetChecked(IB_BL_Texture);
	InstaBoltOptionsCheckButton5:SetChecked(IB_Shard);
	InstaBoltOptionsCheckButton6:SetChecked(IB_CT_Sound);
	InstaBoltOptionsSwatch1NormalTexture:SetVertexColor(IB_C1_Red,IB_C1_Green,IB_C1_Blue,IB_C1_Alpha);
	InstaBoltOptionsSwatch2NormalTexture:SetVertexColor(IB_C2_Red,IB_C2_Green,IB_C2_Blue,IB_C2_Alpha);
	InstaBoltOptionsSwatch3NormalTexture:SetVertexColor(IB_C3_Red,IB_C3_Green,IB_C3_Blue,IB_C3_Alpha);
end

function InstaBoltOptions_Events()
	IB_NF_Sound = InstaBoltOptionsCheckButton1:GetChecked() or false;
	IB_NF_Texture = InstaBoltOptionsCheckButton2:GetChecked()  or false;
	IB_BL_Sound = InstaBoltOptionsCheckButton3:GetChecked()  or false;
	IB_BL_Texture = InstaBoltOptionsCheckButton4:GetChecked()  or false;
	IB_Shard =InstaBoltOptionsCheckButton5:GetChecked()  or false;
	IB_CT_Sound = InstaBoltOptionsCheckButton6:GetChecked()  or false;

	InstaBolt_Events()
end

function InstaBolt_Events()
	frame = getglobal("InstaBolt_MainFrame");
	frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
	if (IB_Shard) then
		frame:RegisterEvent("CHAT_MSG_LOOT");
	else
		frame:UnregisterEvent("CHAT_MSG_LOOT");
	end

	if (IB_NF_Sound or IB_NF_Texture or IB_BL_Sound or IB_BL_Texture) then
		frame:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS");
		frame:RegisterEvent("CHAT_MSG_SPELL_AURA_GONE_SELF");
	else
		frame:UnregisterEvent("CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS");
		frame:UnregisterEvent("CHAT_MSG_SPELL_AURA_GONE_SELF");
	end
	
	if (IB_CT_Sound) then
		frame:RegisterEvent("CHAT_MSG_COMBAT_SELF_HITS");
		frame:RegisterEvent("CHAT_MSG_COMBAT_SELF_MISSES");
		frame:RegisterEvent("CHAT_MSG_SPELL_SELF_DAMAGE");
		frame:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_HOSTILEPLAYER_DAMAGE");
		frame:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE");
	else
		frame:UnregisterEvent("CHAT_MSG_COMBAT_SELF_HITS");
		frame:UnregisterEvent("CHAT_MSG_COMBAT_SELF_MISSES");
		frame:UnregisterEvent("CHAT_MSG_SPELL_SELF_DAMAGE");
		frame:UnregisterEvent("CHAT_MSG_SPELL_PERIODIC_HOSTILEPLAYER_DAMAGE");
		frame:UnregisterEvent("CHAT_MSG_SPELL_PERIODIC_CREATURE_DAMAGE");
	end
	
	InstaBolt_MainFrameFlash1Texture:SetVertexColor(IB_C1_Red,IB_C1_Green,IB_C1_Blue,IB_C1_Alpha); 
	InstaBolt_MainFrameFlash2Texture:SetVertexColor(IB_C2_Red,IB_C2_Green,IB_C2_Blue,IB_C2_Alpha);
	InstaBolt_MainFrameFlash3Texture:SetVertexColor(IB_C3_Red,IB_C3_Green,IB_C3_Blue,IB_C3_Alpha);	
end


function InstaBolt_OnEvent(event,...)
	local info = ChatTypeInfo["COMBAT_MISC_INFO"];
	--DEFAULT_CHAT_FRAME:AddMessage(event, info.r, info.g, info.b);
	local timestamp, eventtype, srcGUID, srcName, srcFlags, dstGUID, dstName, dstFlags = select(1, ...);

	local message = format("%s> type:%s, srcid:%s, srcname:%s, srcflag:%s, dstid:%s, dstName:%s, dstflag:%s",
	                       timestamp, eventtype,

	                       srcGUID, srcName or "nil", srcFlags or "nil",

	                       dstGUID, dstName or "nil", dstFlags or "nil");


	--[[				   
	for i = 9, select("#", ...) do

		message = message..", "..(select(i, ...) or "nil");

	end
	--]]
	if(event == "COMBAT_LOG_EVENT_UNFILTERED") then
		if(dstName == PlayerName) then
			if(eventtype == "SPELL_AURA_APPLIED") then
				spellName = select(10, ...);
				if(spellName == InstaBolt_String_ShadowTrance) then
					if(IB_NF_Texture) then
						UIFrameFlash(InstaBolt_MainFrameFlash1, 0.2, 0.8, 10, nil, 0.2, 0);
					end
					if(IB_NF_Sound) then
						PlaySoundFile("Interface\\AddOns\\Warlock\\Sounds\\ShadowTrance.mp3");
					end
				elseif(spellName == InstaBolt_String_BackLash) then
					if(IB_BL_Texture) then
		      				UIFrameFlash(InstaBolt_MainFrameFlash2, 0.2, 0.8, 8, nil, 0.2, 0);
					end
					if(IB_BL_Sound) then
						PlaySoundFile("Interface\\AddOns\\Warlock\\Sounds\\BackLash.mp3");
					end
				end
				
			elseif(eventtype == "SPELL_AURA_REMOVED") then
				spellName = select(10, ...);
				if(spellName == InstaBolt_String_ShadowTrance) then
					UIFrameFlashRemoveFrame(InstaBolt_MainFrameFlash1);
					UIFrameFadeRemoveFrame(InstaBolt_MainFrameFlash1);
					UIFrameFadeOut(InstaBolt_MainFrameFlash1, 0.8, InstaBolt_MainFrameFlash1:GetAlpha(), 0);
				elseif(spellName == InstaBolt_String_BackLash) then
					UIFrameFlashRemoveFrame(InstaBolt_MainFrameFlash2);
					UIFrameFadeRemoveFrame(InstaBolt_MainFrameFlash2);
					UIFrameFadeOut(InstaBolt_MainFrameFlash2, 0.8, InstaBolt_MainFrameFlash2:GetAlpha(), 0);
				end
			end
			
		end
		if(srcName == PlayerName)then
			--DEFAULT_CHAT_FRAME:AddMessage(message, info.r, info.g, info.b);
			if(eventtype == "SPELL_DAMAGE" or eventtype == "RANGE_DAMAGE")then
				critical = select(17,...);
				if(critical == 1) then
					--PlaySoundFile("Interface\\AddOns\\Warlock\\Sounds\\CriticalDamage.mp3");
				end
			elseif(eventtype == "SWING_DAMAGE")then
				critical = select(14,...);
				if(critical == 1) then
					--PlaySoundFile("Interface\\AddOns\\Warlock\\Sounds\\CriticalDamage.mp3");
				end
			end
		end
	elseif(event == "CHAT_MSG_LOOT")then
		msg = timestamp;
		if (string.find (msg, InstaBolt_String_Create) and string.find(msg, InstaBolt_String_SoulShard)) then
			UIFrameFlash( InstaBolt_MainFrameFlash3, 0.01, 0.5, 1, nil, 1, 0)
		end
	end
end

function InstaBolt_SlashHandler(arg1)

	if (arg1 == "backlash sound") then
		if (IB_BL_Sound) then
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_BackLash .." ".. InstaBolt_String_Sound ..": ".. InstaBolt_String_Disabled);
			IB_BL_Sound = false;
		else
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_BackLash .." ".. InstaBolt_String_Sound ..": ".. InstaBolt_String_Enabled);
			IB_BL_Sound = true;
		end
		 InstaBolt_Events()
	elseif (arg1 == "backlash texture") then
		if (IB_BL_Texture) then
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_BackLash .." ".. InstaBolt_String_Texture ..": ".. InstaBolt_String_Disabled);
			IB_BL_Texture = false;
		else
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_BackLash .." ".. InstaBolt_String_Texture ..": ".. InstaBolt_String_Enabled);
			IB_BL_Texture = true;
		end
		 InstaBolt_Events()
	elseif (arg1 == "nightfall sound") then
		if (IB_NF_Sound) then
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_NightFall .." ".. InstaBolt_String_Sound ..": ".. InstaBolt_String_Disabled);
			IB_NF_Sound = false;
		else
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_NightFall .." ".. InstaBolt_String_Sound ..": ".. InstaBolt_String_Enabled);
			IB_NF_Sound = true;
		end
		 InstaBolt_Events()
	elseif (arg1 == "nightfall texture") then
		if (IB_NF_Texture) then
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_NightFall .." ".. InstaBolt_String_Texture ..": ".. InstaBolt_String_Disabled);
			IB_NF_Texture = false;
		else
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_NightFall .." ".. InstaBolt_String_Texture ..": ".. InstaBolt_String_Enabled);
			IB_NF_Texture = true;
		end
		 InstaBolt_Events()
	elseif (arg1 == "crit" or arg1 == "critical") then
		if (IB_CT_Sound) then
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_Critical .." ".. InstaBolt_String_Sound ..": ".. InstaBolt_String_Disabled);
			IB_CT_Sound = false;
		else
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_Critical .." ".. InstaBolt_String_Sound ..": ".. InstaBolt_String_Enabled);
			IB_CT_Sound = true;
		end
		 InstaBolt_Events()
	elseif (arg1 == "soulshard") then
		if (IB_Shard) then
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_SoulShard .." ".. InstaBolt_String_Texture ..": ".. InstaBolt_String_Disabled);
			IB_Shard = false;
		else
			DEFAULT_CHAT_FRAME:AddMessage(InstaBolt_String_SoulShard .." ".. InstaBolt_String_Texture ..": ".. InstaBolt_String_Enabled);
			IB_Shard = true;
		end
		 InstaBolt_Events()
	else
		InstaBoltOptions:Show();
	end
	
end

function InstaBolt_ColorPicker(swatch)
	CloseMenus();
	ColorPickerFrame.func = function() InstaBolt_ChangeColor(swatch); end;
	Red,Green,Blue,Alpha = getglobal(swatch.."NormalTexture"):GetVertexColor()
	ColorPickerFrame:SetColorRGB(Red,Green,Blue,Alpha);
	ColorPickerFrame.cancelFunc = function() InstaBolt_CancelColor(swatch,Red,Green,Blue,Alpha); end;
	ColorPickerFrame:Show();
end

function InstaBolt_ChangeColor(swatch)
	getglobal(swatch.."NormalTexture"):SetVertexColor(ColorPickerFrame:GetColorRGB());
	if (swatch == "InstaBoltOptionsSwatch1") then
		IB_C1_Red,IB_C1_Green,IB_C1_Blue,IB_C1_Alpha  = ColorPickerFrame:GetColorRGB()
		InstaBolt_MainFrameFlash1Texture:SetVertexColor(IB_C1_Red,IB_C1_Green,IB_C1_Blue,IB_C1_Alpha); 
	elseif (swatch == "InstaBoltOptionsSwatch2") then
		IB_C2_Red,IB_C2_Green,IB_C2_Blue,IB_C2_Alpha  = ColorPickerFrame:GetColorRGB()
		InstaBolt_MainFrameFlash2Texture:SetVertexColor(IB_C2_Red,IB_C2_Green,IB_C2_Blue,IB_C2_Alpha);
	elseif (swatch == "InstaBoltOptionsSwatch3") then
		IB_C3_Red,IB_C3_Green,IB_C3_Blue,IB_C3_Alpha  = ColorPickerFrame:GetColorRGB()
		InstaBolt_MainFrameFlash3Texture:SetVertexColor(IB_C3_Red,IB_C3_Green,IB_C3_Blue,IB_C3_Alpha);	
	end
end

function InstaBolt_CancelColor(swatch,Red,Green,Blue,Alpha)
	getglobal(swatch.."NormalTexture"):SetVertexColor(Red,Green,Blue,Alpha);
	if (swatch == "InstaBoltOptionsSwatch1") then
		InstaBolt_MainFrameFlash1Texture:SetVertexColor(Red,Green,Blue,Alpha); 
	elseif (swatch == "InstaBoltOptionsSwatch2") then
		InstaBolt_MainFrameFlash2Texture:SetVertexColor(Red,Green,Blue,Alpha);
	elseif (swatch == "InstaBoltOptionsSwatch3") then
		InstaBolt_MainFrameFlash3Texture:SetVertexColor(Red,Green,Blue,Alpha);
	end
end


do
	CreateFrame("Button", "InstaboltButton", wsWarlockConfigFrame, "UIPanelButtonTemplate");
	InstaboltButton:SetWidth(150);
	InstaboltButton:SetHeight(30);
	InstaboltButton:SetPoint("CENTER", wsWarlockConfigFrameCheckButton2, "BOTTOM", 110, -75);
	InstaboltButton:SetText("夜幕提示设置面板");
	InstaboltButton:SetScript("OnClick", function(self)
		if self:IsShown() then
			InstaBoltOptions:Show();
		else
			InstaBoltOptions:Hide()
		end
	end);
	InstaboltButton:SetScript("OnEnter", function(self)
		GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
		GameTooltip:SetText("设置夜幕,反冲提示及特效设置");
	end);
	InstaboltButton:SetScript("OnLeave", function(self)
		GameTooltip:Hide()
	end);

end