﻿--***********************************
--Title: wowshell localization
--Description: localization for wowshell
--Author: Robin 月色狼影
--Revision: $Rev: 194 $
--LastUpadate: $Id: localization.lua 194 2008-03-24 05:07:32Z wolftankk $
--:
--***********************************

WS_WOWSHELL_TITLE_enUS = "WoWShell";
WS_WOWSHELL_GENERAL_enUS = "General";

WS_WOWSHELL_GENERAL_TITLE_enUS = "General";
WS_WOWSHELL_UI_TITLE_enUS = "User Interface"
WS_WOWSHELL_ITEM_TITLE_enUS = "Item";
WS_WOWSHELL_CLASS_TITLE_enUS = "Class";
WS_WOWSHELL_COMBAT_TITLE_enUS = "Combat";
WS_WOWSHELL_OTHERS_TITLE_enUS = "Others";
WS_WOWSHELL_RAID_TITLE_enUS = "Raid";

WS_WOWSHELL_TITLE_zhCN = "魔兽精灵";
WS_WOWSHELL_GENERAL_zhCN = "综合";

WS_WOWSHELL_GENERAL_TITLE_zhCN = "综合";
WS_WOWSHELL_UI_TITLE_zhCN = "界面增强";
WS_WOWSHELL_ITEM_TITLE_zhCN = "物品";
WS_WOWSHELL_CLASS_TITLE_zhCN = "职业";
WS_WOWSHELL_COMBAT_TITLE_zhCN = "战斗";
WS_WOWSHELL_OTHERS_TITLE_zhCN = "其他";
WS_WOWSHELL_RAID_TITLE_zhCN = "团队工具";

--提示
--作用描述
WS_WOWSHELL_GENERAL_TOOLTIP_enUS = "General";
WS_WOWSHELL_UI_TOOLTIP_enUS = "Enhancement User Interface";
WS_WOWSHELL_ITEM_TOOLTIP_enUS = "Item";
WS_WOWSHELL_CLASS_TOOLTIP_enUS = "Class";
WS_WOWSHELL_COMBAT_TOOLTIP_enUS = "Combat";
WS_WOWSHELL_OTHERS_TOOLTIP_enUS = "Others";
WS_WOWSHELL_RAID_TOOLTIP_enUS = "Raid";

WS_WOWSHELL_GENERAL_TOOLTIP_zhCN = "综合";
WS_WOWSHELL_UI_TOOLTIP_zhCN = "界面增强"
WS_WOWSHELL_ITEM_TOOLTIP_zhCN = "物品";
WS_WOWSHELL_CLASS_TOOLTIP_zhCN = "职业";
WS_WOWSHELL_COMBAT_TOOLTIP_zhCN = "战斗";
WS_WOWSHELL_OTHERS_TOOLTIP_zhCN = "其他";
WS_WOWSHELL_RAID_TOOLTIP_zhCN = "团队工具";

--WS_WOWSHELL_DEBUG = "玩家：";

UnitPopupMenus["FRIEND"] = { "WHISPER", "INVITE",  "TARGET", "IGNORE", "REPORT_SPAM", "GUILD_PROMOTE", "GUILD_LEAVE","FRIENDS", "MAIL" , "COPY", "CANCEL" };
--UnitPopupMenus["FRIEND"] = { "WHISPER", "INVITE", "TARGET", "IGNORE", "REPORT_SPAM", "GUILD_PROMOTE", "GUILD_LEAVE", "CANCEL" };
UnitPopupButtons["FRIENDS"] = { text = TEXT(FRIENDS), dist = 0 };
--UnitPopupButtons["IGNORE"] = { text = TEXT(IGNORE), dist = 0 };
UnitPopupButtons["MAIL"] = { text = "邮件列表", dist = 0 };
UnitPopupButtons["COPY"] = { text = "复制", dist = 0 };
--UnitPopupButtons["TARGET"] = { text = "选择", dist = 0 };

WS_WOWSHELL_NAMECOPY = "使用Ctrl+C复制玩家名字";

WS_DEBUFF_TYPE = {
				"Magic",
				"Disease",
				"Poison",
				"Curse",
				};

WS_CHATRECEIVE_zhCN = "(%w+)悄悄地说：(.+)";

WS_EquipSlot = {
			{ slot = "HeadSlot" , type_zhCN = {"头部"} , name_zhCN = "头部装备", type_enUS = {"Head"} , name_enUS = "HeadSlot"},
			{ slot = "NeckSlot", type_zhCN = {"颈部"} , name_zhCN = "颈部装备", type_enUS = {"Neck"}, name_enUS = "NeckSlot"},
			{ slot = "ShoulderSlot", type_zhCN = {"肩部"} , name_zhCN = "肩部装备", type_enUS = {"Shoulder"}, name_enUS = "ShoulderSlot"},
			{ slot = "ShirtSlot", type_zhCN = {"衬衣"} , name_zhCN = "衬衣", type_enUS = {"Shirt"}, name_enUS = "ShirtSlot"},
			{ slot = "ChestSlot", type_zhCN = {"胸部"} , name_zhCN = "胸部装备", type_enUS = {"Chest"}, name_enUS = "ChestSlot"},
			{ slot = "WaistSlot", type_zhCN = {"腰部"} , name_zhCN = "腰部装备", type_enUS = {"Waist"}, name_enUS = "WaistSlot"},
			{ slot = "LegsSlot", type_zhCN = {"腿部"} , name_zhCN = "腿部装备", type_enUS = {"Legs"}, name_enUS = "LegsSlot"},
			{ slot = "FeetSlot", type_zhCN = {"脚"} , name_zhCN = "脚部装备", type_enUS = {"Feet"}, name_enUS = "FeetSlot"},
			{ slot = "WristSlot", type_zhCN = {"手腕"} , name_zhCN = "手腕装备", type_enUS = {"WristSlot"}, name_enUS = "WristSlot"},
			{ slot = "HandsSlot", type_zhCN = {"手"} , name_zhCN = "手部装备", type_enUS = {"Hands"}, name_enUS = "HandsSlot"},
			{ slot = "Finger0Slot", type_zhCN = {"手指"} , name_zhCN = "戒指1", type_enUS = {"Finger"}, name_enUS = "Finger0Slot"},
			{ slot = "Finger1Slot", type_zhCN = {"手指"} , name_zhCN = "戒指2", type_enUS = {"Finger"}, name_enUS = "Finger1Slot"},
			{ slot = "Trinket0Slot", type_zhCN = {"饰品"} , name_zhCN = "饰品1", type_enUS = {"Trinket"}, name_enUS = "Trinket0Slot"},
			{ slot = "Trinket1Slot", type_zhCN = {"饰品"} , name_zhCN = "饰品2", type_enUS = {"Trinket"}, name_enUS = "Trinket1Slot"},
			{ slot = "BackSlot", type_zhCN = {"背部"} , name_zhCN = "背部装备", type_enUS = {"Back"}, name_enUS = "BackSlot"},
			{ slot = "MainHandSlot" , type_zhCN = {"单手","主手","双手"} , name_zhCN = "主手武器", type_enUS = {"One-Hand" , "Main Hand" , "Two-Hand"}, name_enUS = "MainHandSlot"},
			{ slot = "SecondaryHandSlot" , type_zhCN = {"单手" , "副手" , "副手物品"} , name_zhCN = "副手武器", type_enUS = {"One-Hand" , "Off Hand" , "Held In Off-hand"}, name_enUS = "SecondaryHandSlot"},
			{ slot = "RangedSlot", type_zhCN = {"远程"} , name_zhCN = "远程武器", type_enUS = {"Ranged"}, name_enUS = "RangedSlot"},
			{ slot = "TabardSlot", type_zhCN = {"公会徽章"} , name_zhCN = "公会徽章", type_enUS = {"Tabard"}, name_enUS = "TabardSlot"},
			};

if (GetLocale() == "zhCN") then
	WS_Verion_ToolTip = "版本: "
--debug
	WS_DebugToolTip = "若在出现此窗口,请把“详情”错误信息发到精灵论坛，地址\n是“http://bbs.wowshell.com”感谢您长期支持精灵插件."
	WS_DebugTitle = "精灵BUG收集器";
	WS_DebugError = "错误: ";
	WS_DebugDeta = "详情: ";
	WS_DebugClose = "关闭";
	WS_DebugClear = "清除";
	WS_DebugChange = "更换声音";
	WS_DebugEnter = "输入声音位置 (例如Interface\\AddOns\n\\AddOnName\\MySound.wav):"
	WS_DebugChatMsg = "在聊天栏显示"
	WS_DebugBolck = "被屏蔽,由于使用";
	WS_DebugMacro = "当前宏";
	WS_DebugForbidden = "被禁止,由于使用了"
	WS_DebugBlz = " (只能被Blizzard使用)";
	WS_DebugShow = "点击显示错误";
	WS_DebugDrag = "Shift-点击拖动按钮";
	WS_DebugCount = "\n计数:"
	WS_DebugStack = "\n\n调用栈:\n"
	WS_MOVE = "shift-鼠标拖动"
else
	WS_Verion_ToolTip = "Revesion: "
	WS_DebugToolTip = "If show this window, please error details submit wowshell bbs.\nURL:http://bbs.wowshell.com Thanks all."
	WS_DebugTitle = "WoWShell Bug Sack"
	WS_DebugError = "Errors: ";
	WS_DebugDeta = "Details: ";
	WS_DebugClose = "Close";
	WS_DebugClear = "Clear";
	WS_DebugChange = "Change Sound";
	WS_DebugEnter = "Enter path (eg. Interface\\AddOns\\AddOnName\\MySound.wav):";
	WS_DebugChatMsg = "Enable Chat Messages"
	WS_DebugBolck = " blocked from using ";
	WS_DebugMacro = "Macro";
	WS_DebugForbidden = " forbidden from using "
	WS_DebugBlz = " (Only usable by Blizzard)"
	WS_DebugShow = "Click to view errors.";
	WS_DebugDrag = "Shift-drag to move button.";
	WS_DebugCount = "\nCount: "
	WS_DebugStack = "\n\nCall Stack:\n"
	WS_MOVE = "shift-drag move"
end