UIPanelWindows["wsezIconsConfigFrame"] =		{ area = "left",	pushable = 1 };
local L = AceLibrary("AceLocale-2.2"):new("ezIcons")

function wsezIconsConfigFrame_OnLoad()
	this:RegisterEvent("VARIABLES_LOADED");
end

function wsezIconsConfigFrame_OnEvent(event)
	if (event == "VARIABLES_LOADED") then

	wsRegisterButton(
		WS_CONFIG_SEC_1,
		"Raid",
		L["ezIcon"],
		L["ezIcon"],
		L["ezIcon"],
		"Interface\\Icons\\Ability_Hunter_MasterMarksman",
		function()
			ShowUIPanel(wsezIconsConfigFrame);
		end
	);
	end
end

function wsezIconsConfigFrame_OnShow()
	local titleText = getglobal(this:GetName().."TitleText");
	titleText:SetText(L["ezIcon"]);
	local iconTexture = getglobal(this:GetName().."IconTexture");
	iconTexture:SetTexture("Interface\\Icons\\Ability_Hunter_MasterMarksman");

	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	checkButton1:Show();
	local checkButton1Text = getglobal(this:GetName().."CheckButton1Text");
	checkButton1Text:SetText(L["Radial"]);

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	checkButton2:Show();
	local checkButton2Text = getglobal(this:GetName().."CheckButton2Text");
	checkButton2Text:SetText(L["Mouseover"]);

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	checkButton3:Show();
	local checkButton3Text = getglobal(this:GetName().."CheckButton3Text");
	checkButton3Text:SetText(L["Massicon"]);



	local checkButton1 = getglobal(this:GetName().."CheckButton1");
	if (ezIcons.db.profile.radial) then
		checkButton1:SetChecked(1);
	else
		checkButton1:SetChecked(nil);
	end

	local checkButton2 = getglobal(this:GetName().."CheckButton2");
	if (ezIcons.db.profile.Mouseover) then
		checkButton2:SetChecked(1);
	else
		checkButton2:SetChecked(nil);
	end

	local checkButton3 = getglobal(this:GetName().."CheckButton3");
	if (ezIcons.db.profile.MassIcon) then
		checkButton3:SetChecked(1);
	else
		checkButton3:SetChecked(nil);
	end
end

function wsezIconsConfigFrameDefaultButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	checkButton1:SetChecked(1);
	checkButton2:SetChecked(1);
	checkButton3:SetChecked(1);
end

function wsezIconsConfigFrameOkayButton_OnClick()
	local parent = this:GetParent();
	local checkButton1 = getglobal(parent:GetName().."CheckButton1");
	local checkButton2 = getglobal(parent:GetName().."CheckButton2");
	local checkButton3 = getglobal(parent:GetName().."CheckButton3");

	if (checkButton1:GetChecked()) then
		ezIcons.db.profile.radial = true;
	else
		ezIcons.db.profile.radial = false;
	end

	if (checkButton2:GetChecked()) then
		ezIcons.db.profile.Mouseover = true;
	else
		ezIcons.db.profile.Mouseover = false;
	end

	if (checkButton3:GetChecked()) then
		ezIcons.db.profile.MassIcon = true;
	else
		ezIcons.db.profile.MassIcon = false;
	end


	HideUIPanel(parent);

end


function wsezIconsConfigButton_OnEnter(id)
	if(GetLocale() ~= "zhCN") then
		return;
	end
	if(not id) then
		return;
	end
	local tip = "WS_MAPINF_CONFIGTIP"..id;
	GameTooltip:SetOwner(this, "ANCHOR_TOPLEFT");
	wsFormatConfigTip(wsGetGameLocaleVariable(tip));
	GameTooltip:Show();
end

function ezIconsConfigFrameKeyBindingButton_OnClick()
	wsShowKeyBindingFrame("EZICONS_SETICON");
end